import{s as Of,n as wf,o as Tf}from"../chunks/scheduler.6062bdaf.js";import{S as Af,i as Pf,g,s as i,r as o,A as Df,h as s,f as t,c as r,j as h,u,x as _,k as d,y as l,a,v as m,d as p,t as f,w as c}from"../chunks/index.4bca734e.js";import{D as b}from"../chunks/Docstring.ed07512f.js";import{H as $}from"../chunks/Heading.723dceba.js";function Ef(Pm){let v,Tr,Or,Ar,lt,Pr,ot,Dm=`This page lists the types (e.g. dataclasses) available for each task supported on the Hugging Face Hub.
Each task is specified using a JSON schema, and the types are generated from these schemas - with some customization
due to Python requirements.
Visit <a href="https://github.com/huggingface/huggingface.js/tree/main/packages/tasks/src/tasks" rel="nofollow">@huggingface.js/tasks</a>
to find the JSON schemas for each task.`,Dr,ut,Em="This part of the lib is still under development and will be improved in future releases.",Er,mt,kr,x,pt,Bo,qa,km="Inputs for Audio Classification inference",Vr,y,ft,Fo,ja,Vm="Outputs for Audio Classification inference",Lr,C,ct,Ro,Ga,Lm=`Additional inference parameters
Additional inference parameters for Audio Classification`,Sr,ht,zr,I,dt,Mo,Za,Sm="Inputs for Audio to Audio inference",Qr,O,bt,Ho,Ba,zm=`Outputs of inference for the Audio To Audio task
A generated audio file with its label.`,qr,_t,jr,w,$t,Uo,Fa,Qm="Inputs for Automatic Speech Recognition inference",Gr,T,vt,Jo,Ra,qm="Outputs of inference for the Automatic Speech Recognition task",Zr,xt,yt,Br,A,Ct,No,Ma,jm=`Additional inference parameters
Additional inference parameters for Automatic Speech Recognition`,Fr,P,It,Wo,Ha,Gm=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,Rr,Ot,Mr,D,wt,Ko,Ua,Zm="Inputs for Depth Estimation inference",Hr,E,Tt,Xo,Ja,Bm="Outputs of inference for the Depth Estimation task",Ur,At,Jr,k,Pt,Yo,Na,Fm="Inputs for Document Question Answering inference",Nr,V,Dt,eu,Wa,Rm="One (document, question) pair to answer",Wr,L,Et,tu,Ka,Mm="Outputs of inference for the Document Question Answering task",Kr,S,kt,nu,Xa,Hm=`Additional inference parameters
Additional inference parameters for Document Question Answering`,Xr,Vt,Yr,z,Lt,au,Ya,Um="Inputs for Text Embedding inference",eg,St,tg,Q,zt,iu,ei,Jm="Inputs for Fill Mask inference",ng,q,Qt,ru,ti,Nm="Outputs of inference for the Fill Mask task",ag,j,qt,gu,ni,Wm=`Additional inference parameters
Additional inference parameters for Fill Mask`,ig,jt,rg,G,Gt,su,ai,Km="Inputs for Image Classification inference",gg,Z,Zt,lu,ii,Xm="Outputs of inference for the Image Classification task",sg,B,Bt,ou,ri,Ym=`Additional inference parameters
Additional inference parameters for Image Classification`,lg,Ft,og,F,Rt,uu,gi,ep="Inputs for Image Segmentation inference",ug,R,Mt,mu,si,tp=`Outputs of inference for the Image Segmentation task
A predicted mask / segment`,mg,M,Ht,pu,li,np=`Additional inference parameters
Additional inference parameters for Image Segmentation`,pg,Ut,fg,H,Jt,fu,oi,ap="Inputs for Image To Image inference",cg,U,Nt,cu,ui,ip="Outputs of inference for the Image To Image task",hg,J,Wt,hu,mi,rp=`Additional inference parameters
Additional inference parameters for Image To Image`,dg,N,Kt,du,pi,gp="The size in pixel of the output image",bg,Xt,_g,W,Yt,bu,fi,sp=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,$g,K,en,_u,ci,lp="Inputs for Image To Text inference",vg,X,tn,$u,hi,op="Outputs of inference for the Image To Text task",xg,Y,nn,vu,di,up=`Additional inference parameters
Additional inference parameters for Image To Text`,yg,an,Cg,ee,rn,xu,bi,mp=`The predicted bounding box. Coordinates are relative to the top left corner of the input
image.`,Ig,te,gn,yu,_i,pp="Inputs for Object Detection inference",Og,ne,sn,Cu,$i,fp="Outputs of inference for the Object Detection task",wg,ae,ln,Iu,vi,cp=`Additional inference parameters
Additional inference parameters for Object Detection`,Tg,on,Ag,ie,un,Ou,xi,hp="Inputs for Question Answering inference",Pg,re,mn,wu,yi,dp="One (context, question) pair to answer",Dg,ge,pn,Tu,Ci,bp="Outputs of inference for the Question Answering task",Eg,se,fn,Au,Ii,_p=`Additional inference parameters
Additional inference parameters for Question Answering`,kg,cn,Vg,le,hn,Pu,Oi,$p="Inputs for Sentence similarity inference",Lg,dn,bn,Sg,_n,zg,oe,$n,Du,wi,vp=`Inputs for Summarization inference
Inputs for Text2text Generation inference`,Qg,ue,vn,Eu,Ti,xp=`Outputs for Summarization inference
Outputs of inference for the Text2text Generation task`,qg,me,xn,ku,Ai,yp=`Additional inference parameters
Additional inference parameters for Text2text Generation`,jg,yn,Gg,pe,Cn,Vu,Pi,Cp="Inputs for Table Question Answering inference",Zg,fe,In,Lu,Di,Ip="One (table, question) pair to answer",Bg,ce,On,Su,Ei,Op="Outputs of inference for the Table Question Answering task",Fg,wn,Rg,he,Tn,zu,ki,wp="Inputs for Text2text Generation inference",Mg,de,An,Qu,Vi,Tp="Outputs of inference for the Text2text Generation task",Hg,be,Pn,qu,Li,Ap=`Additional inference parameters
Additional inference parameters for Text2text Generation`,Ug,Dn,Jg,_e,En,ju,Si,Pp="Inputs for Text Classification inference",Ng,$e,kn,Gu,zi,Dp="Outputs of inference for the Text Classification task",Wg,ve,Vn,Zu,Qi,Ep=`Additional inference parameters
Additional inference parameters for Text Classification`,Kg,Ln,Xg,Sn,zn,Yg,xe,Qn,Bu,qi,kp="Inputs for Text Generation inference",es,ye,qn,Fu,ji,Vp="Outputs for Text Generation inference",ts,Ce,jn,Ru,Gi,Lp="When enabled, details about the generation",ns,Ie,Gn,Mu,Zi,Sp=`Additional inference parameters
Additional inference parameters for Text Generation`,as,Zn,Bn,is,Fn,Rn,rs,Mn,gs,Oe,Hn,Hu,Bi,zp=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,ss,we,Un,Uu,Fi,Qp="Inputs for Text To Audio inference",ls,Te,Jn,Ju,Ri,qp="Outputs of inference for the Text To Audio task",os,Ae,Nn,Nu,Mi,jp=`Additional inference parameters
Additional inference parameters for Text To Audio`,us,Wn,ms,Pe,Kn,Wu,Hi,Gp="The size in pixel of the output image",ps,De,Xn,Ku,Ui,Zp="Inputs for Text To Image inference",fs,Ee,Yn,Xu,Ji,Bp="Outputs of inference for the Text To Image task",cs,ke,ea,Yu,Ni,Fp=`Additional inference parameters
Additional inference parameters for Text To Image`,hs,ta,ds,Ve,na,em,Wi,Rp=`Parametrization of the text generation process
Ad-hoc parametrization of the text generation process`,bs,Le,aa,tm,Ki,Mp=`Additional inference parameters
Additional inference parameters for Text To Audio`,_s,Se,ia,nm,Xi,Hp=`Inputs for Text to Speech inference
Inputs for Text To Audio inference`,$s,ze,ra,am,Yi,Up=`Outputs for Text to Speech inference
Outputs of inference for the Text To Audio task`,vs,ga,xs,Qe,sa,im,er,Jp="Inputs for Token Classification inference",ys,qe,la,rm,tr,Np="Outputs of inference for the Token Classification task",Cs,je,oa,gm,nr,Wp=`Additional inference parameters
Additional inference parameters for Token Classification`,Is,ua,Os,Ge,ma,sm,ar,Kp=`Additional inference parameters
Additional inference parameters for Text2text Generation`,ws,Ze,pa,lm,ir,Xp=`Inputs for Translation inference
Inputs for Text2text Generation inference`,Ts,Be,fa,om,rr,Yp=`Outputs for Translation inference
Outputs of inference for the Text2text Generation task`,As,ca,Ps,Fe,ha,um,gr,ef="Inputs for Video Classification inference",Ds,Re,da,mm,sr,tf="Outputs of inference for the Video Classification task",Es,Me,ba,pm,lr,nf=`Additional inference parameters
Additional inference parameters for Video Classification`,ks,_a,Vs,He,$a,fm,or,af="Inputs for Visual Question Answering inference",Ls,Ue,va,cm,ur,rf="One (image, question) pair to answer",Ss,Je,xa,hm,mr,gf="Outputs of inference for the Visual Question Answering task",zs,Ne,ya,dm,pr,sf=`Additional inference parameters
Additional inference parameters for Visual Question Answering`,Qs,Ca,qs,We,Ia,bm,fr,lf="Inputs for Zero Shot Classification inference",js,Ke,Oa,_m,cr,of="The input text data, with candidate labels",Gs,Xe,wa,$m,hr,uf="Outputs of inference for the Zero Shot Classification task",Zs,Ye,Ta,vm,dr,mf=`Additional inference parameters
Additional inference parameters for Zero Shot Classification`,Bs,Aa,Fs,et,Pa,xm,br,pf="Inputs for Zero Shot Image Classification inference",Rs,tt,Da,ym,_r,ff="The input image data, with candidate labels",Ms,nt,Ea,Cm,$r,cf="Outputs of inference for the Zero Shot Image Classification task",Hs,at,ka,Im,vr,hf=`Additional inference parameters
Additional inference parameters for Zero Shot Image Classification`,Us,Va,Js,it,La,Om,xr,df=`The predicted bounding box. Coordinates are relative to the top left corner of the input
image.`,Ns,rt,Sa,wm,yr,bf="Inputs for Zero Shot Object Detection inference",Ws,gt,za,Tm,Cr,_f="The input image data, with candidate labels",Ks,st,Qa,Am,Ir,$f="Outputs of inference for the Zero Shot Object Detection task",Xs,wr,Ys;return lt=new $({props:{title:"Inference types",local:"inference-types",headingTag:"h1"}}),mt=new $({props:{title:"audio_classification",local:"huggingface_hub.AudioClassificationInput",headingTag:"h2"}}),pt=new b({props:{name:"class huggingface_hub.AudioClassificationInput",anchor:"huggingface_hub.AudioClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_classification.py#L26"}}),ft=new b({props:{name:"class huggingface_hub.AudioClassificationOutputElement",anchor:"huggingface_hub.AudioClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_classification.py#L36"}}),ct=new b({props:{name:"class huggingface_hub.AudioClassificationParameters",anchor:"huggingface_hub.AudioClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional"},{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_classification.py#L15"}}),ht=new $({props:{title:"audio_to_audio",local:"huggingface_hub.AudioToAudioInput",headingTag:"h2"}}),dt=new b({props:{name:"class huggingface_hub.AudioToAudioInput",anchor:"huggingface_hub.AudioToAudioInput",parameters:[{name:"inputs",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_to_audio.py#L12"}}),bt=new b({props:{name:"class huggingface_hub.AudioToAudioOutputElement",anchor:"huggingface_hub.AudioToAudioOutputElement",parameters:[{name:"blob",val:": Any"},{name:"content_type",val:": str"},{name:"label",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/audio_to_audio.py#L20"}}),_t=new $({props:{title:"automatic_speech_recognition",local:"huggingface_hub.AutomaticSpeechRecognitionInput",headingTag:"h2"}}),$t=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionInput",anchor:"huggingface_hub.AutomaticSpeechRecognitionInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L89"}}),vt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionOutput",anchor:"huggingface_hub.AutomaticSpeechRecognitionOutput",parameters:[{name:"text",val:": str"},{name:"chunks",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L107"}}),yt=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionOutputChunk",anchor:"huggingface_hub.AutomaticSpeechRecognitionOutputChunk",parameters:[{name:"text",val:": str"},{name:"timestamps",val:": List"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L99"}}),Ct=new b({props:{name:"class huggingface_hub.AutomaticSpeechRecognitionParameters",anchor:"huggingface_hub.AutomaticSpeechRecognitionParameters",parameters:[{name:"generate",val:": Optional"},{name:"return_timestamps",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L77"}}),It=new b({props:{name:"class huggingface_hub.GenerationParameters",anchor:"huggingface_hub.GenerationParameters",parameters:[{name:"do_sample",val:": Optional"},{name:"early_stopping",val:": Union"},{name:"epsilon_cutoff",val:": Optional"},{name:"eta_cutoff",val:": Optional"},{name:"max_length",val:": Optional"},{name:"max_new_tokens",val:": Optional"},{name:"min_length",val:": Optional"},{name:"min_new_tokens",val:": Optional"},{name:"num_beam_groups",val:": Optional"},{name:"num_beams",val:": Optional"},{name:"penalty_alpha",val:": Optional"},{name:"temperature",val:": Optional"},{name:"top_k",val:": Optional"},{name:"top_p",val:": Optional"},{name:"typical_p",val:": Optional"},{name:"use_cache",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L15"}}),Ot=new $({props:{title:"depth_estimation",local:"huggingface_hub.DepthEstimationInput",headingTag:"h2"}}),wt=new b({props:{name:"class huggingface_hub.DepthEstimationInput",anchor:"huggingface_hub.DepthEstimationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/depth_estimation.py#L12"}}),Tt=new b({props:{name:"class huggingface_hub.DepthEstimationOutput",anchor:"huggingface_hub.DepthEstimationOutput",parameters:[{name:"depth",val:": Any"},{name:"predicted_depth",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/depth_estimation.py#L22"}}),At=new $({props:{title:"document_question_answering",local:"huggingface_hub.DocumentQuestionAnsweringInput",headingTag:"h2"}}),Pt=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringInput",anchor:"huggingface_hub.DocumentQuestionAnsweringInput",parameters:[{name:"inputs",val:": DocumentQuestionAnsweringInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L58"}}),Dt=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringInputData",anchor:"huggingface_hub.DocumentQuestionAnsweringInputData",parameters:[{name:"image",val:": Any"},{name:"question",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L12"}}),Et=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringOutputElement",anchor:"huggingface_hub.DocumentQuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"end",val:": int"},{name:"score",val:": float"},{name:"start",val:": int"},{name:"words",val:": List"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L68"}}),kt=new b({props:{name:"class huggingface_hub.DocumentQuestionAnsweringParameters",anchor:"huggingface_hub.DocumentQuestionAnsweringParameters",parameters:[{name:"doc_stride",val:": Optional"},{name:"handle_impossible_answer",val:": Optional"},{name:"lang",val:": Optional"},{name:"max_answer_len",val:": Optional"},{name:"max_question_len",val:": Optional"},{name:"max_seq_len",val:": Optional"},{name:"top_k",val:": Optional"},{name:"word_boxes",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/document_question_answering.py#L22"}}),Vt=new $({props:{title:"feature_extraction",local:"huggingface_hub.FeatureExtractionInput",headingTag:"h2"}}),Lt=new b({props:{name:"class huggingface_hub.FeatureExtractionInput",anchor:"huggingface_hub.FeatureExtractionInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/feature_extraction.py#L12"}}),St=new $({props:{title:"fill_mask",local:"huggingface_hub.FillMaskInput",headingTag:"h2"}}),zt=new b({props:{name:"class huggingface_hub.FillMaskInput",anchor:"huggingface_hub.FillMaskInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/fill_mask.py#L28"}}),Qt=new b({props:{name:"class huggingface_hub.FillMaskOutputElement",anchor:"huggingface_hub.FillMaskOutputElement",parameters:[{name:"score",val:": float"},{name:"sequence",val:": str"},{name:"token",val:": int"},{name:"token_str",val:": Any"},{name:"fill_mask_output_token_str",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/fill_mask.py#L38"}}),qt=new b({props:{name:"class huggingface_hub.FillMaskParameters",anchor:"huggingface_hub.FillMaskParameters",parameters:[{name:"targets",val:": Optional"},{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/fill_mask.py#L12"}}),jt=new $({props:{title:"image_classification",local:"huggingface_hub.ImageClassificationInput",headingTag:"h2"}}),Gt=new b({props:{name:"class huggingface_hub.ImageClassificationInput",anchor:"huggingface_hub.ImageClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_classification.py#L26"}}),Zt=new b({props:{name:"class huggingface_hub.ImageClassificationOutputElement",anchor:"huggingface_hub.ImageClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_classification.py#L36"}}),Bt=new b({props:{name:"class huggingface_hub.ImageClassificationParameters",anchor:"huggingface_hub.ImageClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional"},{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_classification.py#L15"}}),Ft=new $({props:{title:"image_segmentation",local:"huggingface_hub.ImageSegmentationInput",headingTag:"h2"}}),Rt=new b({props:{name:"class huggingface_hub.ImageSegmentationInput",anchor:"huggingface_hub.ImageSegmentationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L31"}}),Mt=new b({props:{name:"class huggingface_hub.ImageSegmentationOutputElement",anchor:"huggingface_hub.ImageSegmentationOutputElement",parameters:[{name:"label",val:": str"},{name:"mask",val:": Any"},{name:"score",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L41"}}),Ht=new b({props:{name:"class huggingface_hub.ImageSegmentationParameters",anchor:"huggingface_hub.ImageSegmentationParameters",parameters:[{name:"mask_threshold",val:": Optional"},{name:"overlap_mask_area_threshold",val:": Optional"},{name:"subtask",val:": Optional"},{name:"threshold",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_segmentation.py#L15"}}),Ut=new $({props:{title:"image_to_image",local:"huggingface_hub.ImageToImageInput",headingTag:"h2"}}),Jt=new b({props:{name:"class huggingface_hub.ImageToImageInput",anchor:"huggingface_hub.ImageToImageInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L40"}}),Nt=new b({props:{name:"class huggingface_hub.ImageToImageOutput",anchor:"huggingface_hub.ImageToImageOutput",parameters:[{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L50"}}),Wt=new b({props:{name:"class huggingface_hub.ImageToImageParameters",anchor:"huggingface_hub.ImageToImageParameters",parameters:[{name:"guidance_scale",val:": Optional"},{name:"negative_prompt",val:": Optional"},{name:"num_inference_steps",val:": Optional"},{name:"target_size",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L20"}}),Kt=new b({props:{name:"class huggingface_hub.TargetSize",anchor:"huggingface_hub.TargetSize",parameters:[{name:"height",val:": int"},{name:"width",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L12"}}),Xt=new $({props:{title:"image_to_text",local:"huggingface_hub.GenerationParameters",headingTag:"h2"}}),Yt=new b({props:{name:"class huggingface_hub.GenerationParameters",anchor:"huggingface_hub.GenerationParameters",parameters:[{name:"do_sample",val:": Optional"},{name:"early_stopping",val:": Union"},{name:"epsilon_cutoff",val:": Optional"},{name:"eta_cutoff",val:": Optional"},{name:"max_length",val:": Optional"},{name:"max_new_tokens",val:": Optional"},{name:"min_length",val:": Optional"},{name:"min_new_tokens",val:": Optional"},{name:"num_beam_groups",val:": Optional"},{name:"num_beams",val:": Optional"},{name:"penalty_alpha",val:": Optional"},{name:"temperature",val:": Optional"},{name:"top_k",val:": Optional"},{name:"top_p",val:": Optional"},{name:"typical_p",val:": Optional"},{name:"use_cache",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L15"}}),en=new b({props:{name:"class huggingface_hub.ImageToTextInput",anchor:"huggingface_hub.ImageToTextInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L89"}}),tn=new b({props:{name:"class huggingface_hub.ImageToTextOutput",anchor:"huggingface_hub.ImageToTextOutput",parameters:[{name:"generated_text",val:": Any"},{name:"image_to_text_output_generated_text",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L99"}}),nn=new b({props:{name:"class huggingface_hub.ImageToTextParameters",anchor:"huggingface_hub.ImageToTextParameters",parameters:[{name:"generate",val:": Optional"},{name:"max_new_tokens",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_text.py#L77"}}),an=new $({props:{title:"object_detection",local:"huggingface_hub.BoundingBox",headingTag:"h2"}}),rn=new b({props:{name:"class huggingface_hub.BoundingBox",anchor:"huggingface_hub.BoundingBox",parameters:[{name:"xmax",val:": int"},{name:"xmin",val:": int"},{name:"ymax",val:": int"},{name:"ymin",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L32"}}),gn=new b({props:{name:"class huggingface_hub.ObjectDetectionInput",anchor:"huggingface_hub.ObjectDetectionInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L22"}}),sn=new b({props:{name:"class huggingface_hub.ObjectDetectionOutputElement",anchor:"huggingface_hub.ObjectDetectionOutputElement",parameters:[{name:"box",val:": BoundingBox"},{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L44"}}),ln=new b({props:{name:"class huggingface_hub.ObjectDetectionParameters",anchor:"huggingface_hub.ObjectDetectionParameters",parameters:[{name:"threshold",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L12"}}),on=new $({props:{title:"question_answering",local:"huggingface_hub.QuestionAnsweringInput",headingTag:"h2"}}),un=new b({props:{name:"class huggingface_hub.QuestionAnsweringInput",anchor:"huggingface_hub.QuestionAnsweringInput",parameters:[{name:"inputs",val:": QuestionAnsweringInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L56"}}),mn=new b({props:{name:"class huggingface_hub.QuestionAnsweringInputData",anchor:"huggingface_hub.QuestionAnsweringInputData",parameters:[{name:"context",val:": str"},{name:"question",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L12"}}),pn=new b({props:{name:"class huggingface_hub.QuestionAnsweringOutputElement",anchor:"huggingface_hub.QuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"end",val:": int"},{name:"score",val:": float"},{name:"start",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L66"}}),fn=new b({props:{name:"class huggingface_hub.QuestionAnsweringParameters",anchor:"huggingface_hub.QuestionAnsweringParameters",parameters:[{name:"align_to_words",val:": Optional"},{name:"doc_stride",val:": Optional"},{name:"handle_impossible_answer",val:": Optional"},{name:"max_answer_len",val:": Optional"},{name:"max_question_len",val:": Optional"},{name:"max_seq_len",val:": Optional"},{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/question_answering.py#L22"}}),cn=new $({props:{title:"sentence_similarity",local:"huggingface_hub.SentenceSimilarityInput",headingTag:"h2"}}),hn=new b({props:{name:"class huggingface_hub.SentenceSimilarityInput",anchor:"huggingface_hub.SentenceSimilarityInput",parameters:[{name:"inputs",val:": SentenceSimilarityInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/sentence_similarity.py#L22"}}),bn=new b({props:{name:"class huggingface_hub.SentenceSimilarityInputData",anchor:"huggingface_hub.SentenceSimilarityInputData",parameters:[{name:"sentences",val:": List"},{name:"source_sentence",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/sentence_similarity.py#L12"}}),_n=new $({props:{title:"summarization",local:"huggingface_hub.SummarizationInput",headingTag:"h2"}}),$n=new b({props:{name:"class huggingface_hub.SummarizationInput",anchor:"huggingface_hub.SummarizationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L29"}}),vn=new b({props:{name:"class huggingface_hub.SummarizationOutput",anchor:"huggingface_hub.SummarizationOutput",parameters:[{name:"summary_text",val:": Any"},{name:"summarization_output_summary_text",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L41"}}),xn=new b({props:{name:"class huggingface_hub.Text2TextGenerationParameters",anchor:"huggingface_hub.Text2TextGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional"},{name:"generate_parameters",val:": Optional"},{name:"truncation",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L15"}}),yn=new $({props:{title:"table_question_answering",local:"huggingface_hub.TableQuestionAnsweringInput",headingTag:"h2"}}),Cn=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringInput",anchor:"huggingface_hub.TableQuestionAnsweringInput",parameters:[{name:"inputs",val:": TableQuestionAnsweringInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L22"}}),In=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringInputData",anchor:"huggingface_hub.TableQuestionAnsweringInputData",parameters:[{name:"question",val:": str"},{name:"table",val:": Dict"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L12"}}),On=new b({props:{name:"class huggingface_hub.TableQuestionAnsweringOutputElement",anchor:"huggingface_hub.TableQuestionAnsweringOutputElement",parameters:[{name:"answer",val:": str"},{name:"cells",val:": List"},{name:"coordinates",val:": List"},{name:"aggregator",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/table_question_answering.py#L32"}}),wn=new $({props:{title:"text2text_generation",local:"huggingface_hub.Text2TextGenerationInput",headingTag:"h2"}}),Tn=new b({props:{name:"class huggingface_hub.Text2TextGenerationInput",anchor:"huggingface_hub.Text2TextGenerationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L29"}}),An=new b({props:{name:"class huggingface_hub.Text2TextGenerationOutput",anchor:"huggingface_hub.Text2TextGenerationOutput",parameters:[{name:"generated_text",val:": Any"},{name:"text2_text_generation_output_generated_text",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text2text_generation.py#L39"}}),Pn=new b({props:{name:"class huggingface_hub.Text2TextGenerationParameters",anchor:"huggingface_hub.Text2TextGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional"},{name:"generate_parameters",val:": Optional"},{name:"truncation",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L15"}}),Dn=new $({props:{title:"text_classification",local:"huggingface_hub.TextClassificationInput",headingTag:"h2"}}),En=new b({props:{name:"class huggingface_hub.TextClassificationInput",anchor:"huggingface_hub.TextClassificationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_classification.py#L26"}}),kn=new b({props:{name:"class huggingface_hub.TextClassificationOutputElement",anchor:"huggingface_hub.TextClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_classification.py#L36"}}),Vn=new b({props:{name:"class huggingface_hub.TextClassificationParameters",anchor:"huggingface_hub.TextClassificationParameters",parameters:[{name:"function_to_apply",val:": Optional"},{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_classification.py#L15"}}),Ln=new $({props:{title:"text_generation",local:"huggingface_hub.PrefillToken",headingTag:"h2"}}),zn=new b({props:{name:"class huggingface_hub.PrefillToken",anchor:"huggingface_hub.PrefillToken",parameters:[{name:"id",val:": int"},{name:"logprob",val:": float"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L71"}}),Qn=new b({props:{name:"class huggingface_hub.TextGenerationInput",anchor:"huggingface_hub.TextGenerationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L58"}}),qn=new b({props:{name:"class huggingface_hub.TextGenerationOutput",anchor:"huggingface_hub.TextGenerationOutput",parameters:[{name:"generated_text",val:": str"},{name:"details",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L121"}}),jn=new b({props:{name:"class huggingface_hub.TextGenerationOutputDetails",anchor:"huggingface_hub.TextGenerationOutputDetails",parameters:[{name:"finish_reason",val:": FinishReason"},{name:"generated_tokens",val:": int"},{name:"prefill",val:": List"},{name:"tokens",val:": List"},{name:"best_of_sequences",val:": Optional"},{name:"seed",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L104"}}),Gn=new b({props:{name:"class huggingface_hub.TextGenerationParameters",anchor:"huggingface_hub.TextGenerationParameters",parameters:[{name:"best_of",val:": Optional"},{name:"decoder_input_details",val:": Optional"},{name:"details",val:": Optional"},{name:"do_sample",val:": Optional"},{name:"max_new_tokens",val:": Optional"},{name:"repetition_penalty",val:": Optional"},{name:"return_full_text",val:": Optional"},{name:"seed",val:": Optional"},{name:"stop_sequences",val:": Optional"},{name:"temperature",val:": Optional"},{name:"top_k",val:": Optional"},{name:"top_p",val:": Optional"},{name:"truncate",val:": Optional"},{name:"typical_p",val:": Optional"},{name:"watermark",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L12"}}),Bn=new b({props:{name:"class huggingface_hub.TextGenerationSequenceDetails",anchor:"huggingface_hub.TextGenerationSequenceDetails",parameters:[{name:"finish_reason",val:": FinishReason"},{name:"generated_text",val:": int"},{name:"generated_tokens",val:": int"},{name:"prefill",val:": List"},{name:"tokens",val:": List"},{name:"seed",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L89"}}),Rn=new b({props:{name:"class huggingface_hub.Token",anchor:"huggingface_hub.Token",parameters:[{name:"id",val:": int"},{name:"logprob",val:": float"},{name:"special",val:": bool"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_generation.py#L79"}}),Mn=new $({props:{title:"text_to_audio",local:"huggingface_hub.GenerationParameters",headingTag:"h2"}}),Hn=new b({props:{name:"class huggingface_hub.GenerationParameters",anchor:"huggingface_hub.GenerationParameters",parameters:[{name:"do_sample",val:": Optional"},{name:"early_stopping",val:": Union"},{name:"epsilon_cutoff",val:": Optional"},{name:"eta_cutoff",val:": Optional"},{name:"max_length",val:": Optional"},{name:"max_new_tokens",val:": Optional"},{name:"min_length",val:": Optional"},{name:"min_new_tokens",val:": Optional"},{name:"num_beam_groups",val:": Optional"},{name:"num_beams",val:": Optional"},{name:"penalty_alpha",val:": Optional"},{name:"temperature",val:": Optional"},{name:"top_k",val:": Optional"},{name:"top_p",val:": Optional"},{name:"typical_p",val:": Optional"},{name:"use_cache",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L15"}}),Un=new b({props:{name:"class huggingface_hub.TextToAudioInput",anchor:"huggingface_hub.TextToAudioInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L87"}}),Jn=new b({props:{name:"class huggingface_hub.TextToAudioOutput",anchor:"huggingface_hub.TextToAudioOutput",parameters:[{name:"audio",val:": Any"},{name:"sampling_rate",val:": Any"},{name:"text_to_audio_output_sampling_rate",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L97"}}),Nn=new b({props:{name:"class huggingface_hub.TextToAudioParameters",anchor:"huggingface_hub.TextToAudioParameters",parameters:[{name:"generate",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L77"}}),Wn=new $({props:{title:"text_to_image",local:"huggingface_hub.TargetSize",headingTag:"h2"}}),Kn=new b({props:{name:"class huggingface_hub.TargetSize",anchor:"huggingface_hub.TargetSize",parameters:[{name:"height",val:": int"},{name:"width",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/image_to_image.py#L12"}}),Xn=new b({props:{name:"class huggingface_hub.TextToImageInput",anchor:"huggingface_hub.TextToImageInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L42"}}),Yn=new b({props:{name:"class huggingface_hub.TextToImageOutput",anchor:"huggingface_hub.TextToImageOutput",parameters:[{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L52"}}),ea=new b({props:{name:"class huggingface_hub.TextToImageParameters",anchor:"huggingface_hub.TextToImageParameters",parameters:[{name:"guidance_scale",val:": Optional"},{name:"negative_prompt",val:": Optional"},{name:"num_inference_steps",val:": Optional"},{name:"scheduler",val:": Optional"},{name:"target_size",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_image.py#L20"}}),ta=new $({props:{title:"text_to_speech",local:"huggingface_hub.GenerationParameters",headingTag:"h2"}}),na=new b({props:{name:"class huggingface_hub.GenerationParameters",anchor:"huggingface_hub.GenerationParameters",parameters:[{name:"do_sample",val:": Optional"},{name:"early_stopping",val:": Union"},{name:"epsilon_cutoff",val:": Optional"},{name:"eta_cutoff",val:": Optional"},{name:"max_length",val:": Optional"},{name:"max_new_tokens",val:": Optional"},{name:"min_length",val:": Optional"},{name:"min_new_tokens",val:": Optional"},{name:"num_beam_groups",val:": Optional"},{name:"num_beams",val:": Optional"},{name:"penalty_alpha",val:": Optional"},{name:"temperature",val:": Optional"},{name:"top_k",val:": Optional"},{name:"top_p",val:": Optional"},{name:"typical_p",val:": Optional"},{name:"use_cache",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/automatic_speech_recognition.py#L15"}}),aa=new b({props:{name:"class huggingface_hub.TextToAudioParameters",anchor:"huggingface_hub.TextToAudioParameters",parameters:[{name:"generate",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_audio.py#L77"}}),ia=new b({props:{name:"class huggingface_hub.TextToSpeechInput",anchor:"huggingface_hub.TextToSpeechInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_speech.py#L87"}}),ra=new b({props:{name:"class huggingface_hub.TextToSpeechOutput",anchor:"huggingface_hub.TextToSpeechOutput",parameters:[{name:"audio",val:": Any"},{name:"sampling_rate",val:": Any"},{name:"text_to_speech_output_sampling_rate",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/text_to_speech.py#L99"}}),ga=new $({props:{title:"token_classification",local:"huggingface_hub.TokenClassificationInput",headingTag:"h2"}}),sa=new b({props:{name:"class huggingface_hub.TokenClassificationInput",anchor:"huggingface_hub.TokenClassificationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/token_classification.py#L29"}}),la=new b({props:{name:"class huggingface_hub.TokenClassificationOutputElement",anchor:"huggingface_hub.TokenClassificationOutputElement",parameters:[{name:"label",val:": Any"},{name:"score",val:": float"},{name:"end",val:": Optional"},{name:"entity_group",val:": Optional"},{name:"start",val:": Optional"},{name:"word",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/token_classification.py#L39"}}),oa=new b({props:{name:"class huggingface_hub.TokenClassificationParameters",anchor:"huggingface_hub.TokenClassificationParameters",parameters:[{name:"aggregation_strategy",val:": Optional"},{name:"ignore_labels",val:": Optional"},{name:"stride",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/token_classification.py#L15"}}),ua=new $({props:{title:"translation",local:"huggingface_hub.Text2TextGenerationParameters",headingTag:"h2"}}),ma=new b({props:{name:"class huggingface_hub.Text2TextGenerationParameters",anchor:"huggingface_hub.Text2TextGenerationParameters",parameters:[{name:"clean_up_tokenization_spaces",val:": Optional"},{name:"generate_parameters",val:": Optional"},{name:"truncation",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/summarization.py#L15"}}),pa=new b({props:{name:"class huggingface_hub.TranslationInput",anchor:"huggingface_hub.TranslationInput",parameters:[{name:"inputs",val:": str"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/translation.py#L29"}}),fa=new b({props:{name:"class huggingface_hub.TranslationOutput",anchor:"huggingface_hub.TranslationOutput",parameters:[{name:"translation_text",val:": Any"},{name:"translation_output_translation_text",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/translation.py#L41"}}),ca=new $({props:{title:"video_classification",local:"huggingface_hub.VideoClassificationInput",headingTag:"h2"}}),ha=new b({props:{name:"class huggingface_hub.VideoClassificationInput",anchor:"huggingface_hub.VideoClassificationInput",parameters:[{name:"inputs",val:": Any"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/video_classification.py#L30"}}),da=new b({props:{name:"class huggingface_hub.VideoClassificationOutputElement",anchor:"huggingface_hub.VideoClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/video_classification.py#L40"}}),ba=new b({props:{name:"class huggingface_hub.VideoClassificationParameters",anchor:"huggingface_hub.VideoClassificationParameters",parameters:[{name:"frame_sampling_rate",val:": Optional"},{name:"function_to_apply",val:": Optional"},{name:"num_frames",val:": Optional"},{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/video_classification.py#L15"}}),_a=new $({props:{title:"visual_question_answering",local:"huggingface_hub.VisualQuestionAnsweringInput",headingTag:"h2"}}),$a=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringInput",anchor:"huggingface_hub.VisualQuestionAnsweringInput",parameters:[{name:"inputs",val:": VisualQuestionAnsweringInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L35"}}),va=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringInputData",anchor:"huggingface_hub.VisualQuestionAnsweringInputData",parameters:[{name:"image",val:": Any"},{name:"question",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L12"}}),xa=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringOutputElement",anchor:"huggingface_hub.VisualQuestionAnsweringOutputElement",parameters:[{name:"label",val:": Any"},{name:"score",val:": float"},{name:"answer",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L45"}}),ya=new b({props:{name:"class huggingface_hub.VisualQuestionAnsweringParameters",anchor:"huggingface_hub.VisualQuestionAnsweringParameters",parameters:[{name:"top_k",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/visual_question_answering.py#L22"}}),Ca=new $({props:{title:"zero_shot_classification",local:"huggingface_hub.ZeroShotClassificationInput",headingTag:"h2"}}),Ia=new b({props:{name:"class huggingface_hub.ZeroShotClassificationInput",anchor:"huggingface_hub.ZeroShotClassificationInput",parameters:[{name:"inputs",val:": ZeroShotClassificationInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L39"}}),Oa=new b({props:{name:"class huggingface_hub.ZeroShotClassificationInputData",anchor:"huggingface_hub.ZeroShotClassificationInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"text",val:": str"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L12"}}),wa=new b({props:{name:"class huggingface_hub.ZeroShotClassificationOutputElement",anchor:"huggingface_hub.ZeroShotClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L49"}}),Ta=new b({props:{name:"class huggingface_hub.ZeroShotClassificationParameters",anchor:"huggingface_hub.ZeroShotClassificationParameters",parameters:[{name:"hypothesis_template",val:": Optional"},{name:"multi_label",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_classification.py#L22"}}),Aa=new $({props:{title:"zero_shot_image_classification",local:"huggingface_hub.ZeroShotImageClassificationInput",headingTag:"h2"}}),Pa=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationInput",anchor:"huggingface_hub.ZeroShotImageClassificationInput",parameters:[{name:"inputs",val:": ZeroShotImageClassificationInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L34"}}),Da=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationInputData",anchor:"huggingface_hub.ZeroShotImageClassificationInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L12"}}),Ea=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationOutputElement",anchor:"huggingface_hub.ZeroShotImageClassificationOutputElement",parameters:[{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L44"}}),ka=new b({props:{name:"class huggingface_hub.ZeroShotImageClassificationParameters",anchor:"huggingface_hub.ZeroShotImageClassificationParameters",parameters:[{name:"hypothesis_template",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_image_classification.py#L22"}}),Va=new $({props:{title:"zero_shot_object_detection",local:"huggingface_hub.BoundingBox",headingTag:"h2"}}),La=new b({props:{name:"class huggingface_hub.BoundingBox",anchor:"huggingface_hub.BoundingBox",parameters:[{name:"xmax",val:": int"},{name:"xmin",val:": int"},{name:"ymax",val:": int"},{name:"ymin",val:": int"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/object_detection.py#L32"}}),Sa=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionInput",anchor:"huggingface_hub.ZeroShotObjectDetectionInput",parameters:[{name:"inputs",val:": ZeroShotObjectDetectionInputData"},{name:"parameters",val:": Optional"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L22"}}),za=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionInputData",anchor:"huggingface_hub.ZeroShotObjectDetectionInputData",parameters:[{name:"candidate_labels",val:": List"},{name:"image",val:": Any"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L12"}}),Qa=new b({props:{name:"class huggingface_hub.ZeroShotObjectDetectionOutputElement",anchor:"huggingface_hub.ZeroShotObjectDetectionOutputElement",parameters:[{name:"box",val:": BoundingBox"},{name:"label",val:": str"},{name:"score",val:": float"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/inference/_generated/types/zero_shot_object_detection.py#L44"}}),{c(){v=g("meta"),Tr=i(),Or=g("p"),Ar=i(),o(lt.$$.fragment),Pr=i(),ot=g("p"),ot.innerHTML=Dm,Dr=i(),ut=g("p"),ut.textContent=Em,Er=i(),o(mt.$$.fragment),kr=i(),x=g("div"),o(pt.$$.fragment),Bo=i(),qa=g("p"),qa.textContent=km,Vr=i(),y=g("div"),o(ft.$$.fragment),Fo=i(),ja=g("p"),ja.textContent=Vm,Lr=i(),C=g("div"),o(ct.$$.fragment),Ro=i(),Ga=g("p"),Ga.textContent=Lm,Sr=i(),o(ht.$$.fragment),zr=i(),I=g("div"),o(dt.$$.fragment),Mo=i(),Za=g("p"),Za.textContent=Sm,Qr=i(),O=g("div"),o(bt.$$.fragment),Ho=i(),Ba=g("p"),Ba.textContent=zm,qr=i(),o(_t.$$.fragment),jr=i(),w=g("div"),o($t.$$.fragment),Uo=i(),Fa=g("p"),Fa.textContent=Qm,Gr=i(),T=g("div"),o(vt.$$.fragment),Jo=i(),Ra=g("p"),Ra.textContent=qm,Zr=i(),xt=g("div"),o(yt.$$.fragment),Br=i(),A=g("div"),o(Ct.$$.fragment),No=i(),Ma=g("p"),Ma.textContent=jm,Fr=i(),P=g("div"),o(It.$$.fragment),Wo=i(),Ha=g("p"),Ha.textContent=Gm,Rr=i(),o(Ot.$$.fragment),Mr=i(),D=g("div"),o(wt.$$.fragment),Ko=i(),Ua=g("p"),Ua.textContent=Zm,Hr=i(),E=g("div"),o(Tt.$$.fragment),Xo=i(),Ja=g("p"),Ja.textContent=Bm,Ur=i(),o(At.$$.fragment),Jr=i(),k=g("div"),o(Pt.$$.fragment),Yo=i(),Na=g("p"),Na.textContent=Fm,Nr=i(),V=g("div"),o(Dt.$$.fragment),eu=i(),Wa=g("p"),Wa.textContent=Rm,Wr=i(),L=g("div"),o(Et.$$.fragment),tu=i(),Ka=g("p"),Ka.textContent=Mm,Kr=i(),S=g("div"),o(kt.$$.fragment),nu=i(),Xa=g("p"),Xa.textContent=Hm,Xr=i(),o(Vt.$$.fragment),Yr=i(),z=g("div"),o(Lt.$$.fragment),au=i(),Ya=g("p"),Ya.textContent=Um,eg=i(),o(St.$$.fragment),tg=i(),Q=g("div"),o(zt.$$.fragment),iu=i(),ei=g("p"),ei.textContent=Jm,ng=i(),q=g("div"),o(Qt.$$.fragment),ru=i(),ti=g("p"),ti.textContent=Nm,ag=i(),j=g("div"),o(qt.$$.fragment),gu=i(),ni=g("p"),ni.textContent=Wm,ig=i(),o(jt.$$.fragment),rg=i(),G=g("div"),o(Gt.$$.fragment),su=i(),ai=g("p"),ai.textContent=Km,gg=i(),Z=g("div"),o(Zt.$$.fragment),lu=i(),ii=g("p"),ii.textContent=Xm,sg=i(),B=g("div"),o(Bt.$$.fragment),ou=i(),ri=g("p"),ri.textContent=Ym,lg=i(),o(Ft.$$.fragment),og=i(),F=g("div"),o(Rt.$$.fragment),uu=i(),gi=g("p"),gi.textContent=ep,ug=i(),R=g("div"),o(Mt.$$.fragment),mu=i(),si=g("p"),si.textContent=tp,mg=i(),M=g("div"),o(Ht.$$.fragment),pu=i(),li=g("p"),li.textContent=np,pg=i(),o(Ut.$$.fragment),fg=i(),H=g("div"),o(Jt.$$.fragment),fu=i(),oi=g("p"),oi.textContent=ap,cg=i(),U=g("div"),o(Nt.$$.fragment),cu=i(),ui=g("p"),ui.textContent=ip,hg=i(),J=g("div"),o(Wt.$$.fragment),hu=i(),mi=g("p"),mi.textContent=rp,dg=i(),N=g("div"),o(Kt.$$.fragment),du=i(),pi=g("p"),pi.textContent=gp,bg=i(),o(Xt.$$.fragment),_g=i(),W=g("div"),o(Yt.$$.fragment),bu=i(),fi=g("p"),fi.textContent=sp,$g=i(),K=g("div"),o(en.$$.fragment),_u=i(),ci=g("p"),ci.textContent=lp,vg=i(),X=g("div"),o(tn.$$.fragment),$u=i(),hi=g("p"),hi.textContent=op,xg=i(),Y=g("div"),o(nn.$$.fragment),vu=i(),di=g("p"),di.textContent=up,yg=i(),o(an.$$.fragment),Cg=i(),ee=g("div"),o(rn.$$.fragment),xu=i(),bi=g("p"),bi.textContent=mp,Ig=i(),te=g("div"),o(gn.$$.fragment),yu=i(),_i=g("p"),_i.textContent=pp,Og=i(),ne=g("div"),o(sn.$$.fragment),Cu=i(),$i=g("p"),$i.textContent=fp,wg=i(),ae=g("div"),o(ln.$$.fragment),Iu=i(),vi=g("p"),vi.textContent=cp,Tg=i(),o(on.$$.fragment),Ag=i(),ie=g("div"),o(un.$$.fragment),Ou=i(),xi=g("p"),xi.textContent=hp,Pg=i(),re=g("div"),o(mn.$$.fragment),wu=i(),yi=g("p"),yi.textContent=dp,Dg=i(),ge=g("div"),o(pn.$$.fragment),Tu=i(),Ci=g("p"),Ci.textContent=bp,Eg=i(),se=g("div"),o(fn.$$.fragment),Au=i(),Ii=g("p"),Ii.textContent=_p,kg=i(),o(cn.$$.fragment),Vg=i(),le=g("div"),o(hn.$$.fragment),Pu=i(),Oi=g("p"),Oi.textContent=$p,Lg=i(),dn=g("div"),o(bn.$$.fragment),Sg=i(),o(_n.$$.fragment),zg=i(),oe=g("div"),o($n.$$.fragment),Du=i(),wi=g("p"),wi.textContent=vp,Qg=i(),ue=g("div"),o(vn.$$.fragment),Eu=i(),Ti=g("p"),Ti.textContent=xp,qg=i(),me=g("div"),o(xn.$$.fragment),ku=i(),Ai=g("p"),Ai.textContent=yp,jg=i(),o(yn.$$.fragment),Gg=i(),pe=g("div"),o(Cn.$$.fragment),Vu=i(),Pi=g("p"),Pi.textContent=Cp,Zg=i(),fe=g("div"),o(In.$$.fragment),Lu=i(),Di=g("p"),Di.textContent=Ip,Bg=i(),ce=g("div"),o(On.$$.fragment),Su=i(),Ei=g("p"),Ei.textContent=Op,Fg=i(),o(wn.$$.fragment),Rg=i(),he=g("div"),o(Tn.$$.fragment),zu=i(),ki=g("p"),ki.textContent=wp,Mg=i(),de=g("div"),o(An.$$.fragment),Qu=i(),Vi=g("p"),Vi.textContent=Tp,Hg=i(),be=g("div"),o(Pn.$$.fragment),qu=i(),Li=g("p"),Li.textContent=Ap,Ug=i(),o(Dn.$$.fragment),Jg=i(),_e=g("div"),o(En.$$.fragment),ju=i(),Si=g("p"),Si.textContent=Pp,Ng=i(),$e=g("div"),o(kn.$$.fragment),Gu=i(),zi=g("p"),zi.textContent=Dp,Wg=i(),ve=g("div"),o(Vn.$$.fragment),Zu=i(),Qi=g("p"),Qi.textContent=Ep,Kg=i(),o(Ln.$$.fragment),Xg=i(),Sn=g("div"),o(zn.$$.fragment),Yg=i(),xe=g("div"),o(Qn.$$.fragment),Bu=i(),qi=g("p"),qi.textContent=kp,es=i(),ye=g("div"),o(qn.$$.fragment),Fu=i(),ji=g("p"),ji.textContent=Vp,ts=i(),Ce=g("div"),o(jn.$$.fragment),Ru=i(),Gi=g("p"),Gi.textContent=Lp,ns=i(),Ie=g("div"),o(Gn.$$.fragment),Mu=i(),Zi=g("p"),Zi.textContent=Sp,as=i(),Zn=g("div"),o(Bn.$$.fragment),is=i(),Fn=g("div"),o(Rn.$$.fragment),rs=i(),o(Mn.$$.fragment),gs=i(),Oe=g("div"),o(Hn.$$.fragment),Hu=i(),Bi=g("p"),Bi.textContent=zp,ss=i(),we=g("div"),o(Un.$$.fragment),Uu=i(),Fi=g("p"),Fi.textContent=Qp,ls=i(),Te=g("div"),o(Jn.$$.fragment),Ju=i(),Ri=g("p"),Ri.textContent=qp,os=i(),Ae=g("div"),o(Nn.$$.fragment),Nu=i(),Mi=g("p"),Mi.textContent=jp,us=i(),o(Wn.$$.fragment),ms=i(),Pe=g("div"),o(Kn.$$.fragment),Wu=i(),Hi=g("p"),Hi.textContent=Gp,ps=i(),De=g("div"),o(Xn.$$.fragment),Ku=i(),Ui=g("p"),Ui.textContent=Zp,fs=i(),Ee=g("div"),o(Yn.$$.fragment),Xu=i(),Ji=g("p"),Ji.textContent=Bp,cs=i(),ke=g("div"),o(ea.$$.fragment),Yu=i(),Ni=g("p"),Ni.textContent=Fp,hs=i(),o(ta.$$.fragment),ds=i(),Ve=g("div"),o(na.$$.fragment),em=i(),Wi=g("p"),Wi.textContent=Rp,bs=i(),Le=g("div"),o(aa.$$.fragment),tm=i(),Ki=g("p"),Ki.textContent=Mp,_s=i(),Se=g("div"),o(ia.$$.fragment),nm=i(),Xi=g("p"),Xi.textContent=Hp,$s=i(),ze=g("div"),o(ra.$$.fragment),am=i(),Yi=g("p"),Yi.textContent=Up,vs=i(),o(ga.$$.fragment),xs=i(),Qe=g("div"),o(sa.$$.fragment),im=i(),er=g("p"),er.textContent=Jp,ys=i(),qe=g("div"),o(la.$$.fragment),rm=i(),tr=g("p"),tr.textContent=Np,Cs=i(),je=g("div"),o(oa.$$.fragment),gm=i(),nr=g("p"),nr.textContent=Wp,Is=i(),o(ua.$$.fragment),Os=i(),Ge=g("div"),o(ma.$$.fragment),sm=i(),ar=g("p"),ar.textContent=Kp,ws=i(),Ze=g("div"),o(pa.$$.fragment),lm=i(),ir=g("p"),ir.textContent=Xp,Ts=i(),Be=g("div"),o(fa.$$.fragment),om=i(),rr=g("p"),rr.textContent=Yp,As=i(),o(ca.$$.fragment),Ps=i(),Fe=g("div"),o(ha.$$.fragment),um=i(),gr=g("p"),gr.textContent=ef,Ds=i(),Re=g("div"),o(da.$$.fragment),mm=i(),sr=g("p"),sr.textContent=tf,Es=i(),Me=g("div"),o(ba.$$.fragment),pm=i(),lr=g("p"),lr.textContent=nf,ks=i(),o(_a.$$.fragment),Vs=i(),He=g("div"),o($a.$$.fragment),fm=i(),or=g("p"),or.textContent=af,Ls=i(),Ue=g("div"),o(va.$$.fragment),cm=i(),ur=g("p"),ur.textContent=rf,Ss=i(),Je=g("div"),o(xa.$$.fragment),hm=i(),mr=g("p"),mr.textContent=gf,zs=i(),Ne=g("div"),o(ya.$$.fragment),dm=i(),pr=g("p"),pr.textContent=sf,Qs=i(),o(Ca.$$.fragment),qs=i(),We=g("div"),o(Ia.$$.fragment),bm=i(),fr=g("p"),fr.textContent=lf,js=i(),Ke=g("div"),o(Oa.$$.fragment),_m=i(),cr=g("p"),cr.textContent=of,Gs=i(),Xe=g("div"),o(wa.$$.fragment),$m=i(),hr=g("p"),hr.textContent=uf,Zs=i(),Ye=g("div"),o(Ta.$$.fragment),vm=i(),dr=g("p"),dr.textContent=mf,Bs=i(),o(Aa.$$.fragment),Fs=i(),et=g("div"),o(Pa.$$.fragment),xm=i(),br=g("p"),br.textContent=pf,Rs=i(),tt=g("div"),o(Da.$$.fragment),ym=i(),_r=g("p"),_r.textContent=ff,Ms=i(),nt=g("div"),o(Ea.$$.fragment),Cm=i(),$r=g("p"),$r.textContent=cf,Hs=i(),at=g("div"),o(ka.$$.fragment),Im=i(),vr=g("p"),vr.textContent=hf,Us=i(),o(Va.$$.fragment),Js=i(),it=g("div"),o(La.$$.fragment),Om=i(),xr=g("p"),xr.textContent=df,Ns=i(),rt=g("div"),o(Sa.$$.fragment),wm=i(),yr=g("p"),yr.textContent=bf,Ws=i(),gt=g("div"),o(za.$$.fragment),Tm=i(),Cr=g("p"),Cr.textContent=_f,Ks=i(),st=g("div"),o(Qa.$$.fragment),Am=i(),Ir=g("p"),Ir.textContent=$f,Xs=i(),wr=g("p"),this.h()},l(e){const n=Df("svelte-u9bgzb",document.head);v=s(n,"META",{name:!0,content:!0}),n.forEach(t),Tr=r(e),Or=s(e,"P",{}),h(Or).forEach(t),Ar=r(e),u(lt.$$.fragment,e),Pr=r(e),ot=s(e,"P",{"data-svelte-h":!0}),_(ot)!=="svelte-r4x4e"&&(ot.innerHTML=Dm),Dr=r(e),ut=s(e,"P",{"data-svelte-h":!0}),_(ut)!=="svelte-gyywd9"&&(ut.textContent=Em),Er=r(e),u(mt.$$.fragment,e),kr=r(e),x=s(e,"DIV",{class:!0});var el=h(x);u(pt.$$.fragment,el),Bo=r(el),qa=s(el,"P",{"data-svelte-h":!0}),_(qa)!=="svelte-1tm0kun"&&(qa.textContent=km),el.forEach(t),Vr=r(e),y=s(e,"DIV",{class:!0});var tl=h(y);u(ft.$$.fragment,tl),Fo=r(tl),ja=s(tl,"P",{"data-svelte-h":!0}),_(ja)!=="svelte-11s5lc2"&&(ja.textContent=Vm),tl.forEach(t),Lr=r(e),C=s(e,"DIV",{class:!0});var nl=h(C);u(ct.$$.fragment,nl),Ro=r(nl),Ga=s(nl,"P",{"data-svelte-h":!0}),_(Ga)!=="svelte-mp4myj"&&(Ga.textContent=Lm),nl.forEach(t),Sr=r(e),u(ht.$$.fragment,e),zr=r(e),I=s(e,"DIV",{class:!0});var al=h(I);u(dt.$$.fragment,al),Mo=r(al),Za=s(al,"P",{"data-svelte-h":!0}),_(Za)!=="svelte-1k3oi3o"&&(Za.textContent=Sm),al.forEach(t),Qr=r(e),O=s(e,"DIV",{class:!0});var il=h(O);u(bt.$$.fragment,il),Ho=r(il),Ba=s(il,"P",{"data-svelte-h":!0}),_(Ba)!=="svelte-1d3vk90"&&(Ba.textContent=zm),il.forEach(t),qr=r(e),u(_t.$$.fragment,e),jr=r(e),w=s(e,"DIV",{class:!0});var rl=h(w);u($t.$$.fragment,rl),Uo=r(rl),Fa=s(rl,"P",{"data-svelte-h":!0}),_(Fa)!=="svelte-1dxxfth"&&(Fa.textContent=Qm),rl.forEach(t),Gr=r(e),T=s(e,"DIV",{class:!0});var gl=h(T);u(vt.$$.fragment,gl),Jo=r(gl),Ra=s(gl,"P",{"data-svelte-h":!0}),_(Ra)!=="svelte-5n6yyz"&&(Ra.textContent=qm),gl.forEach(t),Zr=r(e),xt=s(e,"DIV",{class:!0});var vf=h(xt);u(yt.$$.fragment,vf),vf.forEach(t),Br=r(e),A=s(e,"DIV",{class:!0});var sl=h(A);u(Ct.$$.fragment,sl),No=r(sl),Ma=s(sl,"P",{"data-svelte-h":!0}),_(Ma)!=="svelte-38lu6p"&&(Ma.textContent=jm),sl.forEach(t),Fr=r(e),P=s(e,"DIV",{class:!0});var ll=h(P);u(It.$$.fragment,ll),Wo=r(ll),Ha=s(ll,"P",{"data-svelte-h":!0}),_(Ha)!=="svelte-a7ph4"&&(Ha.textContent=Gm),ll.forEach(t),Rr=r(e),u(Ot.$$.fragment,e),Mr=r(e),D=s(e,"DIV",{class:!0});var ol=h(D);u(wt.$$.fragment,ol),Ko=r(ol),Ua=s(ol,"P",{"data-svelte-h":!0}),_(Ua)!=="svelte-nthb65"&&(Ua.textContent=Zm),ol.forEach(t),Hr=r(e),E=s(e,"DIV",{class:!0});var ul=h(E);u(Tt.$$.fragment,ul),Xo=r(ul),Ja=s(ul,"P",{"data-svelte-h":!0}),_(Ja)!=="svelte-1d2plmj"&&(Ja.textContent=Bm),ul.forEach(t),Ur=r(e),u(At.$$.fragment,e),Jr=r(e),k=s(e,"DIV",{class:!0});var ml=h(k);u(Pt.$$.fragment,ml),Yo=r(ml),Na=s(ml,"P",{"data-svelte-h":!0}),_(Na)!=="svelte-1ki0ku4"&&(Na.textContent=Fm),ml.forEach(t),Nr=r(e),V=s(e,"DIV",{class:!0});var pl=h(V);u(Dt.$$.fragment,pl),eu=r(pl),Wa=s(pl,"P",{"data-svelte-h":!0}),_(Wa)!=="svelte-1gj4qxd"&&(Wa.textContent=Rm),pl.forEach(t),Wr=r(e),L=s(e,"DIV",{class:!0});var fl=h(L);u(Et.$$.fragment,fl),tu=r(fl),Ka=s(fl,"P",{"data-svelte-h":!0}),_(Ka)!=="svelte-1w9i38u"&&(Ka.textContent=Mm),fl.forEach(t),Kr=r(e),S=s(e,"DIV",{class:!0});var cl=h(S);u(kt.$$.fragment,cl),nu=r(cl),Xa=s(cl,"P",{"data-svelte-h":!0}),_(Xa)!=="svelte-1rvppek"&&(Xa.textContent=Hm),cl.forEach(t),Xr=r(e),u(Vt.$$.fragment,e),Yr=r(e),z=s(e,"DIV",{class:!0});var hl=h(z);u(Lt.$$.fragment,hl),au=r(hl),Ya=s(hl,"P",{"data-svelte-h":!0}),_(Ya)!=="svelte-eyg83n"&&(Ya.textContent=Um),hl.forEach(t),eg=r(e),u(St.$$.fragment,e),tg=r(e),Q=s(e,"DIV",{class:!0});var dl=h(Q);u(zt.$$.fragment,dl),iu=r(dl),ei=s(dl,"P",{"data-svelte-h":!0}),_(ei)!=="svelte-ycm97q"&&(ei.textContent=Jm),dl.forEach(t),ng=r(e),q=s(e,"DIV",{class:!0});var bl=h(q);u(Qt.$$.fragment,bl),ru=r(bl),ti=s(bl,"P",{"data-svelte-h":!0}),_(ti)!=="svelte-vg0pm4"&&(ti.textContent=Nm),bl.forEach(t),ag=r(e),j=s(e,"DIV",{class:!0});var _l=h(j);u(qt.$$.fragment,_l),gu=r(_l),ni=s(_l,"P",{"data-svelte-h":!0}),_(ni)!=="svelte-1agk3h6"&&(ni.textContent=Wm),_l.forEach(t),ig=r(e),u(jt.$$.fragment,e),rg=r(e),G=s(e,"DIV",{class:!0});var $l=h(G);u(Gt.$$.fragment,$l),su=r($l),ai=s($l,"P",{"data-svelte-h":!0}),_(ai)!=="svelte-m0m3mi"&&(ai.textContent=Km),$l.forEach(t),gg=r(e),Z=s(e,"DIV",{class:!0});var vl=h(Z);u(Zt.$$.fragment,vl),lu=r(vl),ii=s(vl,"P",{"data-svelte-h":!0}),_(ii)!=="svelte-1sts6rc"&&(ii.textContent=Xm),vl.forEach(t),sg=r(e),B=s(e,"DIV",{class:!0});var xl=h(B);u(Bt.$$.fragment,xl),ou=r(xl),ri=s(xl,"P",{"data-svelte-h":!0}),_(ri)!=="svelte-k70jko"&&(ri.textContent=Ym),xl.forEach(t),lg=r(e),u(Ft.$$.fragment,e),og=r(e),F=s(e,"DIV",{class:!0});var yl=h(F);u(Rt.$$.fragment,yl),uu=r(yl),gi=s(yl,"P",{"data-svelte-h":!0}),_(gi)!=="svelte-mctko8"&&(gi.textContent=ep),yl.forEach(t),ug=r(e),R=s(e,"DIV",{class:!0});var Cl=h(R);u(Mt.$$.fragment,Cl),mu=r(Cl),si=s(Cl,"P",{"data-svelte-h":!0}),_(si)!=="svelte-10d772x"&&(si.textContent=tp),Cl.forEach(t),mg=r(e),M=s(e,"DIV",{class:!0});var Il=h(M);u(Ht.$$.fragment,Il),pu=r(Il),li=s(Il,"P",{"data-svelte-h":!0}),_(li)!=="svelte-mesrma"&&(li.textContent=np),Il.forEach(t),pg=r(e),u(Ut.$$.fragment,e),fg=r(e),H=s(e,"DIV",{class:!0});var Ol=h(H);u(Jt.$$.fragment,Ol),fu=r(Ol),oi=s(Ol,"P",{"data-svelte-h":!0}),_(oi)!=="svelte-q286hi"&&(oi.textContent=ap),Ol.forEach(t),cg=r(e),U=s(e,"DIV",{class:!0});var wl=h(U);u(Nt.$$.fragment,wl),cu=r(wl),ui=s(wl,"P",{"data-svelte-h":!0}),_(ui)!=="svelte-k6vljo"&&(ui.textContent=ip),wl.forEach(t),hg=r(e),J=s(e,"DIV",{class:!0});var Tl=h(J);u(Wt.$$.fragment,Tl),hu=r(Tl),mi=s(Tl,"P",{"data-svelte-h":!0}),_(mi)!=="svelte-eruquw"&&(mi.textContent=rp),Tl.forEach(t),dg=r(e),N=s(e,"DIV",{class:!0});var Al=h(N);u(Kt.$$.fragment,Al),du=r(Al),pi=s(Al,"P",{"data-svelte-h":!0}),_(pi)!=="svelte-eam3z5"&&(pi.textContent=gp),Al.forEach(t),bg=r(e),u(Xt.$$.fragment,e),_g=r(e),W=s(e,"DIV",{class:!0});var Pl=h(W);u(Yt.$$.fragment,Pl),bu=r(Pl),fi=s(Pl,"P",{"data-svelte-h":!0}),_(fi)!=="svelte-a7ph4"&&(fi.textContent=sp),Pl.forEach(t),$g=r(e),K=s(e,"DIV",{class:!0});var Dl=h(K);u(en.$$.fragment,Dl),_u=r(Dl),ci=s(Dl,"P",{"data-svelte-h":!0}),_(ci)!=="svelte-1n2elv4"&&(ci.textContent=lp),Dl.forEach(t),vg=r(e),X=s(e,"DIV",{class:!0});var El=h(X);u(tn.$$.fragment,El),$u=r(El),hi=s(El,"P",{"data-svelte-h":!0}),_(hi)!=="svelte-1rj90i2"&&(hi.textContent=op),El.forEach(t),xg=r(e),Y=s(e,"DIV",{class:!0});var kl=h(Y);u(nn.$$.fragment,kl),vu=r(kl),di=s(kl,"P",{"data-svelte-h":!0}),_(di)!=="svelte-17voqe0"&&(di.textContent=up),kl.forEach(t),yg=r(e),u(an.$$.fragment,e),Cg=r(e),ee=s(e,"DIV",{class:!0});var Vl=h(ee);u(rn.$$.fragment,Vl),xu=r(Vl),bi=s(Vl,"P",{"data-svelte-h":!0}),_(bi)!=="svelte-im3jf9"&&(bi.textContent=mp),Vl.forEach(t),Ig=r(e),te=s(e,"DIV",{class:!0});var Ll=h(te);u(gn.$$.fragment,Ll),yu=r(Ll),_i=s(Ll,"P",{"data-svelte-h":!0}),_(_i)!=="svelte-s0dxhd"&&(_i.textContent=pp),Ll.forEach(t),Og=r(e),ne=s(e,"DIV",{class:!0});var Sl=h(ne);u(sn.$$.fragment,Sl),Cu=r(Sl),$i=s(Sl,"P",{"data-svelte-h":!0}),_($i)!=="svelte-lj2u9z"&&($i.textContent=fp),Sl.forEach(t),wg=r(e),ae=s(e,"DIV",{class:!0});var zl=h(ae);u(ln.$$.fragment,zl),Iu=r(zl),vi=s(zl,"P",{"data-svelte-h":!0}),_(vi)!=="svelte-y9d7kd"&&(vi.textContent=cp),zl.forEach(t),Tg=r(e),u(on.$$.fragment,e),Ag=r(e),ie=s(e,"DIV",{class:!0});var Ql=h(ie);u(un.$$.fragment,Ql),Ou=r(Ql),xi=s(Ql,"P",{"data-svelte-h":!0}),_(xi)!=="svelte-2apwur"&&(xi.textContent=hp),Ql.forEach(t),Pg=r(e),re=s(e,"DIV",{class:!0});var ql=h(re);u(mn.$$.fragment,ql),wu=r(ql),yi=s(ql,"P",{"data-svelte-h":!0}),_(yi)!=="svelte-1j04xkd"&&(yi.textContent=dp),ql.forEach(t),Dg=r(e),ge=s(e,"DIV",{class:!0});var jl=h(ge);u(pn.$$.fragment,jl),Tu=r(jl),Ci=s(jl,"P",{"data-svelte-h":!0}),_(Ci)!=="svelte-1oc2myl"&&(Ci.textContent=bp),jl.forEach(t),Eg=r(e),se=s(e,"DIV",{class:!0});var Gl=h(se);u(fn.$$.fragment,Gl),Au=r(Gl),Ii=s(Gl,"P",{"data-svelte-h":!0}),_(Ii)!=="svelte-1e750en"&&(Ii.textContent=_p),Gl.forEach(t),kg=r(e),u(cn.$$.fragment,e),Vg=r(e),le=s(e,"DIV",{class:!0});var Zl=h(le);u(hn.$$.fragment,Zl),Pu=r(Zl),Oi=s(Zl,"P",{"data-svelte-h":!0}),_(Oi)!=="svelte-1xxnz2z"&&(Oi.textContent=$p),Zl.forEach(t),Lg=r(e),dn=s(e,"DIV",{class:!0});var xf=h(dn);u(bn.$$.fragment,xf),xf.forEach(t),Sg=r(e),u(_n.$$.fragment,e),zg=r(e),oe=s(e,"DIV",{class:!0});var Bl=h(oe);u($n.$$.fragment,Bl),Du=r(Bl),wi=s(Bl,"P",{"data-svelte-h":!0}),_(wi)!=="svelte-4ndaf5"&&(wi.textContent=vp),Bl.forEach(t),Qg=r(e),ue=s(e,"DIV",{class:!0});var Fl=h(ue);u(vn.$$.fragment,Fl),Eu=r(Fl),Ti=s(Fl,"P",{"data-svelte-h":!0}),_(Ti)!=="svelte-1e252a2"&&(Ti.textContent=xp),Fl.forEach(t),qg=r(e),me=s(e,"DIV",{class:!0});var Rl=h(me);u(xn.$$.fragment,Rl),ku=r(Rl),Ai=s(Rl,"P",{"data-svelte-h":!0}),_(Ai)!=="svelte-14vs39r"&&(Ai.textContent=yp),Rl.forEach(t),jg=r(e),u(yn.$$.fragment,e),Gg=r(e),pe=s(e,"DIV",{class:!0});var Ml=h(pe);u(Cn.$$.fragment,Ml),Vu=r(Ml),Pi=s(Ml,"P",{"data-svelte-h":!0}),_(Pi)!=="svelte-ou48df"&&(Pi.textContent=Cp),Ml.forEach(t),Zg=r(e),fe=s(e,"DIV",{class:!0});var Hl=h(fe);u(In.$$.fragment,Hl),Lu=r(Hl),Di=s(Hl,"P",{"data-svelte-h":!0}),_(Di)!=="svelte-miq2j0"&&(Di.textContent=Ip),Hl.forEach(t),Bg=r(e),ce=s(e,"DIV",{class:!0});var Ul=h(ce);u(On.$$.fragment,Ul),Su=r(Ul),Ei=s(Ul,"P",{"data-svelte-h":!0}),_(Ei)!=="svelte-18jk6yt"&&(Ei.textContent=Op),Ul.forEach(t),Fg=r(e),u(wn.$$.fragment,e),Rg=r(e),he=s(e,"DIV",{class:!0});var Jl=h(he);u(Tn.$$.fragment,Jl),zu=r(Jl),ki=s(Jl,"P",{"data-svelte-h":!0}),_(ki)!=="svelte-4szi7r"&&(ki.textContent=wp),Jl.forEach(t),Mg=r(e),de=s(e,"DIV",{class:!0});var Nl=h(de);u(An.$$.fragment,Nl),Qu=r(Nl),Vi=s(Nl,"P",{"data-svelte-h":!0}),_(Vi)!=="svelte-z7kzmx"&&(Vi.textContent=Tp),Nl.forEach(t),Hg=r(e),be=s(e,"DIV",{class:!0});var Wl=h(be);u(Pn.$$.fragment,Wl),qu=r(Wl),Li=s(Wl,"P",{"data-svelte-h":!0}),_(Li)!=="svelte-14vs39r"&&(Li.textContent=Ap),Wl.forEach(t),Ug=r(e),u(Dn.$$.fragment,e),Jg=r(e),_e=s(e,"DIV",{class:!0});var Kl=h(_e);u(En.$$.fragment,Kl),ju=r(Kl),Si=s(Kl,"P",{"data-svelte-h":!0}),_(Si)!=="svelte-1m11geo"&&(Si.textContent=Pp),Kl.forEach(t),Ng=r(e),$e=s(e,"DIV",{class:!0});var Xl=h($e);u(kn.$$.fragment,Xl),Gu=r(Xl),zi=s(Xl,"P",{"data-svelte-h":!0}),_(zi)!=="svelte-12zz0uy"&&(zi.textContent=Dp),Xl.forEach(t),Wg=r(e),ve=s(e,"DIV",{class:!0});var Yl=h(ve);u(Vn.$$.fragment,Yl),Zu=r(Yl),Qi=s(Yl,"P",{"data-svelte-h":!0}),_(Qi)!=="svelte-vtuseo"&&(Qi.textContent=Ep),Yl.forEach(t),Kg=r(e),u(Ln.$$.fragment,e),Xg=r(e),Sn=s(e,"DIV",{class:!0});var yf=h(Sn);u(zn.$$.fragment,yf),yf.forEach(t),Yg=r(e),xe=s(e,"DIV",{class:!0});var eo=h(xe);u(Qn.$$.fragment,eo),Bu=r(eo),qi=s(eo,"P",{"data-svelte-h":!0}),_(qi)!=="svelte-y83606"&&(qi.textContent=kp),eo.forEach(t),es=r(e),ye=s(e,"DIV",{class:!0});var to=h(ye);u(qn.$$.fragment,to),Fu=r(to),ji=s(to,"P",{"data-svelte-h":!0}),_(ji)!=="svelte-1j7wx79"&&(ji.textContent=Vp),to.forEach(t),ts=r(e),Ce=s(e,"DIV",{class:!0});var no=h(Ce);u(jn.$$.fragment,no),Ru=r(no),Gi=s(no,"P",{"data-svelte-h":!0}),_(Gi)!=="svelte-4o2n4t"&&(Gi.textContent=Lp),no.forEach(t),ns=r(e),Ie=s(e,"DIV",{class:!0});var ao=h(Ie);u(Gn.$$.fragment,ao),Mu=r(ao),Zi=s(ao,"P",{"data-svelte-h":!0}),_(Zi)!=="svelte-btvrgm"&&(Zi.textContent=Sp),ao.forEach(t),as=r(e),Zn=s(e,"DIV",{class:!0});var Cf=h(Zn);u(Bn.$$.fragment,Cf),Cf.forEach(t),is=r(e),Fn=s(e,"DIV",{class:!0});var If=h(Fn);u(Rn.$$.fragment,If),If.forEach(t),rs=r(e),u(Mn.$$.fragment,e),gs=r(e),Oe=s(e,"DIV",{class:!0});var io=h(Oe);u(Hn.$$.fragment,io),Hu=r(io),Bi=s(io,"P",{"data-svelte-h":!0}),_(Bi)!=="svelte-a7ph4"&&(Bi.textContent=zp),io.forEach(t),ss=r(e),we=s(e,"DIV",{class:!0});var ro=h(we);u(Un.$$.fragment,ro),Uu=r(ro),Fi=s(ro,"P",{"data-svelte-h":!0}),_(Fi)!=="svelte-1vkgn3x"&&(Fi.textContent=Qp),ro.forEach(t),ls=r(e),Te=s(e,"DIV",{class:!0});var go=h(Te);u(Jn.$$.fragment,go),Ju=r(go),Ri=s(go,"P",{"data-svelte-h":!0}),_(Ri)!=="svelte-2fhz7f"&&(Ri.textContent=qp),go.forEach(t),os=r(e),Ae=s(e,"DIV",{class:!0});var so=h(Ae);u(Nn.$$.fragment,so),Nu=r(so),Mi=s(so,"P",{"data-svelte-h":!0}),_(Mi)!=="svelte-feoncv"&&(Mi.textContent=jp),so.forEach(t),us=r(e),u(Wn.$$.fragment,e),ms=r(e),Pe=s(e,"DIV",{class:!0});var lo=h(Pe);u(Kn.$$.fragment,lo),Wu=r(lo),Hi=s(lo,"P",{"data-svelte-h":!0}),_(Hi)!=="svelte-eam3z5"&&(Hi.textContent=Gp),lo.forEach(t),ps=r(e),De=s(e,"DIV",{class:!0});var oo=h(De);u(Xn.$$.fragment,oo),Ku=r(oo),Ui=s(oo,"P",{"data-svelte-h":!0}),_(Ui)!=="svelte-t7gxtg"&&(Ui.textContent=Zp),oo.forEach(t),fs=r(e),Ee=s(e,"DIV",{class:!0});var uo=h(Ee);u(Yn.$$.fragment,uo),Xu=r(uo),Ji=s(uo,"P",{"data-svelte-h":!0}),_(Ji)!=="svelte-nrlg6m"&&(Ji.textContent=Bp),uo.forEach(t),cs=r(e),ke=s(e,"DIV",{class:!0});var mo=h(ke);u(ea.$$.fragment,mo),Yu=r(mo),Ni=s(mo,"P",{"data-svelte-h":!0}),_(Ni)!=="svelte-imfgvk"&&(Ni.textContent=Fp),mo.forEach(t),hs=r(e),u(ta.$$.fragment,e),ds=r(e),Ve=s(e,"DIV",{class:!0});var po=h(Ve);u(na.$$.fragment,po),em=r(po),Wi=s(po,"P",{"data-svelte-h":!0}),_(Wi)!=="svelte-a7ph4"&&(Wi.textContent=Rp),po.forEach(t),bs=r(e),Le=s(e,"DIV",{class:!0});var fo=h(Le);u(aa.$$.fragment,fo),tm=r(fo),Ki=s(fo,"P",{"data-svelte-h":!0}),_(Ki)!=="svelte-feoncv"&&(Ki.textContent=Mp),fo.forEach(t),_s=r(e),Se=s(e,"DIV",{class:!0});var co=h(Se);u(ia.$$.fragment,co),nm=r(co),Xi=s(co,"P",{"data-svelte-h":!0}),_(Xi)!=="svelte-47ltwc"&&(Xi.textContent=Hp),co.forEach(t),$s=r(e),ze=s(e,"DIV",{class:!0});var ho=h(ze);u(ra.$$.fragment,ho),am=r(ho),Yi=s(ho,"P",{"data-svelte-h":!0}),_(Yi)!=="svelte-l8ngs1"&&(Yi.textContent=Up),ho.forEach(t),vs=r(e),u(ga.$$.fragment,e),xs=r(e),Qe=s(e,"DIV",{class:!0});var bo=h(Qe);u(sa.$$.fragment,bo),im=r(bo),er=s(bo,"P",{"data-svelte-h":!0}),_(er)!=="svelte-17gsleq"&&(er.textContent=Jp),bo.forEach(t),ys=r(e),qe=s(e,"DIV",{class:!0});var _o=h(qe);u(la.$$.fragment,_o),rm=r(_o),tr=s(_o,"P",{"data-svelte-h":!0}),_(tr)!=="svelte-146ged4"&&(tr.textContent=Np),_o.forEach(t),Cs=r(e),je=s(e,"DIV",{class:!0});var $o=h(je);u(oa.$$.fragment,$o),gm=r($o),nr=s($o,"P",{"data-svelte-h":!0}),_(nr)!=="svelte-1fbcw48"&&(nr.textContent=Wp),$o.forEach(t),Is=r(e),u(ua.$$.fragment,e),Os=r(e),Ge=s(e,"DIV",{class:!0});var vo=h(Ge);u(ma.$$.fragment,vo),sm=r(vo),ar=s(vo,"P",{"data-svelte-h":!0}),_(ar)!=="svelte-14vs39r"&&(ar.textContent=Kp),vo.forEach(t),ws=r(e),Ze=s(e,"DIV",{class:!0});var xo=h(Ze);u(pa.$$.fragment,xo),lm=r(xo),ir=s(xo,"P",{"data-svelte-h":!0}),_(ir)!=="svelte-1cf0r59"&&(ir.textContent=Xp),xo.forEach(t),Ts=r(e),Be=s(e,"DIV",{class:!0});var yo=h(Be);u(fa.$$.fragment,yo),om=r(yo),rr=s(yo,"P",{"data-svelte-h":!0}),_(rr)!=="svelte-15va6wm"&&(rr.textContent=Yp),yo.forEach(t),As=r(e),u(ca.$$.fragment,e),Ps=r(e),Fe=s(e,"DIV",{class:!0});var Co=h(Fe);u(ha.$$.fragment,Co),um=r(Co),gr=s(Co,"P",{"data-svelte-h":!0}),_(gr)!=="svelte-1i4tazw"&&(gr.textContent=ef),Co.forEach(t),Ds=r(e),Re=s(e,"DIV",{class:!0});var Io=h(Re);u(da.$$.fragment,Io),mm=r(Io),sr=s(Io,"P",{"data-svelte-h":!0}),_(sr)!=="svelte-11oqfva"&&(sr.textContent=tf),Io.forEach(t),Es=r(e),Me=s(e,"DIV",{class:!0});var Oo=h(Me);u(ba.$$.fragment,Oo),pm=r(Oo),lr=s(Oo,"P",{"data-svelte-h":!0}),_(lr)!=="svelte-j3ynt6"&&(lr.textContent=nf),Oo.forEach(t),ks=r(e),u(_a.$$.fragment,e),Vs=r(e),He=s(e,"DIV",{class:!0});var wo=h(He);u($a.$$.fragment,wo),fm=r(wo),or=s(wo,"P",{"data-svelte-h":!0}),_(or)!=="svelte-l9gkz5"&&(or.textContent=af),wo.forEach(t),Ls=r(e),Ue=s(e,"DIV",{class:!0});var To=h(Ue);u(va.$$.fragment,To),cm=r(To),ur=s(To,"P",{"data-svelte-h":!0}),_(ur)!=="svelte-nqr1av"&&(ur.textContent=rf),To.forEach(t),Ss=r(e),Je=s(e,"DIV",{class:!0});var Ao=h(Je);u(xa.$$.fragment,Ao),hm=r(Ao),mr=s(Ao,"P",{"data-svelte-h":!0}),_(mr)!=="svelte-1uha5ef"&&(mr.textContent=gf),Ao.forEach(t),zs=r(e),Ne=s(e,"DIV",{class:!0});var Po=h(Ne);u(ya.$$.fragment,Po),dm=r(Po),pr=s(Po,"P",{"data-svelte-h":!0}),_(pr)!=="svelte-15d7mkj"&&(pr.textContent=sf),Po.forEach(t),Qs=r(e),u(Ca.$$.fragment,e),qs=r(e),We=s(e,"DIV",{class:!0});var Do=h(We);u(Ia.$$.fragment,Do),bm=r(Do),fr=s(Do,"P",{"data-svelte-h":!0}),_(fr)!=="svelte-85ft2f"&&(fr.textContent=lf),Do.forEach(t),js=r(e),Ke=s(e,"DIV",{class:!0});var Eo=h(Ke);u(Oa.$$.fragment,Eo),_m=r(Eo),cr=s(Eo,"P",{"data-svelte-h":!0}),_(cr)!=="svelte-1ejzuoe"&&(cr.textContent=of),Eo.forEach(t),Gs=r(e),Xe=s(e,"DIV",{class:!0});var ko=h(Xe);u(wa.$$.fragment,ko),$m=r(ko),hr=s(ko,"P",{"data-svelte-h":!0}),_(hr)!=="svelte-15it97t"&&(hr.textContent=uf),ko.forEach(t),Zs=r(e),Ye=s(e,"DIV",{class:!0});var Vo=h(Ye);u(Ta.$$.fragment,Vo),vm=r(Vo),dr=s(Vo,"P",{"data-svelte-h":!0}),_(dr)!=="svelte-1r0p8bz"&&(dr.textContent=mf),Vo.forEach(t),Bs=r(e),u(Aa.$$.fragment,e),Fs=r(e),et=s(e,"DIV",{class:!0});var Lo=h(et);u(Pa.$$.fragment,Lo),xm=r(Lo),br=s(Lo,"P",{"data-svelte-h":!0}),_(br)!=="svelte-1b20k2g"&&(br.textContent=pf),Lo.forEach(t),Rs=r(e),tt=s(e,"DIV",{class:!0});var So=h(tt);u(Da.$$.fragment,So),ym=r(So),_r=s(So,"P",{"data-svelte-h":!0}),_(_r)!=="svelte-1jgk6m"&&(_r.textContent=ff),So.forEach(t),Ms=r(e),nt=s(e,"DIV",{class:!0});var zo=h(nt);u(Ea.$$.fragment,zo),Cm=r(zo),$r=s(zo,"P",{"data-svelte-h":!0}),_($r)!=="svelte-1y9kya2"&&($r.textContent=cf),zo.forEach(t),Hs=r(e),at=s(e,"DIV",{class:!0});var Qo=h(at);u(ka.$$.fragment,Qo),Im=r(Qo),vr=s(Qo,"P",{"data-svelte-h":!0}),_(vr)!=="svelte-2sakm"&&(vr.textContent=hf),Qo.forEach(t),Us=r(e),u(Va.$$.fragment,e),Js=r(e),it=s(e,"DIV",{class:!0});var qo=h(it);u(La.$$.fragment,qo),Om=r(qo),xr=s(qo,"P",{"data-svelte-h":!0}),_(xr)!=="svelte-im3jf9"&&(xr.textContent=df),qo.forEach(t),Ns=r(e),rt=s(e,"DIV",{class:!0});var jo=h(rt);u(Sa.$$.fragment,jo),wm=r(jo),yr=s(jo,"P",{"data-svelte-h":!0}),_(yr)!=="svelte-1dnrq33"&&(yr.textContent=bf),jo.forEach(t),Ws=r(e),gt=s(e,"DIV",{class:!0});var Go=h(gt);u(za.$$.fragment,Go),Tm=r(Go),Cr=s(Go,"P",{"data-svelte-h":!0}),_(Cr)!=="svelte-1jgk6m"&&(Cr.textContent=_f),Go.forEach(t),Ks=r(e),st=s(e,"DIV",{class:!0});var Zo=h(st);u(Qa.$$.fragment,Zo),Am=r(Zo),Ir=s(Zo,"P",{"data-svelte-h":!0}),_(Ir)!=="svelte-mrxhh5"&&(Ir.textContent=$f),Zo.forEach(t),Xs=r(e),wr=s(e,"P",{}),h(wr).forEach(t),this.h()},h(){d(v,"name","hf:doc:metadata"),d(v,"content",kf),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Sn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){l(document.head,v),a(e,Tr,n),a(e,Or,n),a(e,Ar,n),m(lt,e,n),a(e,Pr,n),a(e,ot,n),a(e,Dr,n),a(e,ut,n),a(e,Er,n),m(mt,e,n),a(e,kr,n),a(e,x,n),m(pt,x,null),l(x,Bo),l(x,qa),a(e,Vr,n),a(e,y,n),m(ft,y,null),l(y,Fo),l(y,ja),a(e,Lr,n),a(e,C,n),m(ct,C,null),l(C,Ro),l(C,Ga),a(e,Sr,n),m(ht,e,n),a(e,zr,n),a(e,I,n),m(dt,I,null),l(I,Mo),l(I,Za),a(e,Qr,n),a(e,O,n),m(bt,O,null),l(O,Ho),l(O,Ba),a(e,qr,n),m(_t,e,n),a(e,jr,n),a(e,w,n),m($t,w,null),l(w,Uo),l(w,Fa),a(e,Gr,n),a(e,T,n),m(vt,T,null),l(T,Jo),l(T,Ra),a(e,Zr,n),a(e,xt,n),m(yt,xt,null),a(e,Br,n),a(e,A,n),m(Ct,A,null),l(A,No),l(A,Ma),a(e,Fr,n),a(e,P,n),m(It,P,null),l(P,Wo),l(P,Ha),a(e,Rr,n),m(Ot,e,n),a(e,Mr,n),a(e,D,n),m(wt,D,null),l(D,Ko),l(D,Ua),a(e,Hr,n),a(e,E,n),m(Tt,E,null),l(E,Xo),l(E,Ja),a(e,Ur,n),m(At,e,n),a(e,Jr,n),a(e,k,n),m(Pt,k,null),l(k,Yo),l(k,Na),a(e,Nr,n),a(e,V,n),m(Dt,V,null),l(V,eu),l(V,Wa),a(e,Wr,n),a(e,L,n),m(Et,L,null),l(L,tu),l(L,Ka),a(e,Kr,n),a(e,S,n),m(kt,S,null),l(S,nu),l(S,Xa),a(e,Xr,n),m(Vt,e,n),a(e,Yr,n),a(e,z,n),m(Lt,z,null),l(z,au),l(z,Ya),a(e,eg,n),m(St,e,n),a(e,tg,n),a(e,Q,n),m(zt,Q,null),l(Q,iu),l(Q,ei),a(e,ng,n),a(e,q,n),m(Qt,q,null),l(q,ru),l(q,ti),a(e,ag,n),a(e,j,n),m(qt,j,null),l(j,gu),l(j,ni),a(e,ig,n),m(jt,e,n),a(e,rg,n),a(e,G,n),m(Gt,G,null),l(G,su),l(G,ai),a(e,gg,n),a(e,Z,n),m(Zt,Z,null),l(Z,lu),l(Z,ii),a(e,sg,n),a(e,B,n),m(Bt,B,null),l(B,ou),l(B,ri),a(e,lg,n),m(Ft,e,n),a(e,og,n),a(e,F,n),m(Rt,F,null),l(F,uu),l(F,gi),a(e,ug,n),a(e,R,n),m(Mt,R,null),l(R,mu),l(R,si),a(e,mg,n),a(e,M,n),m(Ht,M,null),l(M,pu),l(M,li),a(e,pg,n),m(Ut,e,n),a(e,fg,n),a(e,H,n),m(Jt,H,null),l(H,fu),l(H,oi),a(e,cg,n),a(e,U,n),m(Nt,U,null),l(U,cu),l(U,ui),a(e,hg,n),a(e,J,n),m(Wt,J,null),l(J,hu),l(J,mi),a(e,dg,n),a(e,N,n),m(Kt,N,null),l(N,du),l(N,pi),a(e,bg,n),m(Xt,e,n),a(e,_g,n),a(e,W,n),m(Yt,W,null),l(W,bu),l(W,fi),a(e,$g,n),a(e,K,n),m(en,K,null),l(K,_u),l(K,ci),a(e,vg,n),a(e,X,n),m(tn,X,null),l(X,$u),l(X,hi),a(e,xg,n),a(e,Y,n),m(nn,Y,null),l(Y,vu),l(Y,di),a(e,yg,n),m(an,e,n),a(e,Cg,n),a(e,ee,n),m(rn,ee,null),l(ee,xu),l(ee,bi),a(e,Ig,n),a(e,te,n),m(gn,te,null),l(te,yu),l(te,_i),a(e,Og,n),a(e,ne,n),m(sn,ne,null),l(ne,Cu),l(ne,$i),a(e,wg,n),a(e,ae,n),m(ln,ae,null),l(ae,Iu),l(ae,vi),a(e,Tg,n),m(on,e,n),a(e,Ag,n),a(e,ie,n),m(un,ie,null),l(ie,Ou),l(ie,xi),a(e,Pg,n),a(e,re,n),m(mn,re,null),l(re,wu),l(re,yi),a(e,Dg,n),a(e,ge,n),m(pn,ge,null),l(ge,Tu),l(ge,Ci),a(e,Eg,n),a(e,se,n),m(fn,se,null),l(se,Au),l(se,Ii),a(e,kg,n),m(cn,e,n),a(e,Vg,n),a(e,le,n),m(hn,le,null),l(le,Pu),l(le,Oi),a(e,Lg,n),a(e,dn,n),m(bn,dn,null),a(e,Sg,n),m(_n,e,n),a(e,zg,n),a(e,oe,n),m($n,oe,null),l(oe,Du),l(oe,wi),a(e,Qg,n),a(e,ue,n),m(vn,ue,null),l(ue,Eu),l(ue,Ti),a(e,qg,n),a(e,me,n),m(xn,me,null),l(me,ku),l(me,Ai),a(e,jg,n),m(yn,e,n),a(e,Gg,n),a(e,pe,n),m(Cn,pe,null),l(pe,Vu),l(pe,Pi),a(e,Zg,n),a(e,fe,n),m(In,fe,null),l(fe,Lu),l(fe,Di),a(e,Bg,n),a(e,ce,n),m(On,ce,null),l(ce,Su),l(ce,Ei),a(e,Fg,n),m(wn,e,n),a(e,Rg,n),a(e,he,n),m(Tn,he,null),l(he,zu),l(he,ki),a(e,Mg,n),a(e,de,n),m(An,de,null),l(de,Qu),l(de,Vi),a(e,Hg,n),a(e,be,n),m(Pn,be,null),l(be,qu),l(be,Li),a(e,Ug,n),m(Dn,e,n),a(e,Jg,n),a(e,_e,n),m(En,_e,null),l(_e,ju),l(_e,Si),a(e,Ng,n),a(e,$e,n),m(kn,$e,null),l($e,Gu),l($e,zi),a(e,Wg,n),a(e,ve,n),m(Vn,ve,null),l(ve,Zu),l(ve,Qi),a(e,Kg,n),m(Ln,e,n),a(e,Xg,n),a(e,Sn,n),m(zn,Sn,null),a(e,Yg,n),a(e,xe,n),m(Qn,xe,null),l(xe,Bu),l(xe,qi),a(e,es,n),a(e,ye,n),m(qn,ye,null),l(ye,Fu),l(ye,ji),a(e,ts,n),a(e,Ce,n),m(jn,Ce,null),l(Ce,Ru),l(Ce,Gi),a(e,ns,n),a(e,Ie,n),m(Gn,Ie,null),l(Ie,Mu),l(Ie,Zi),a(e,as,n),a(e,Zn,n),m(Bn,Zn,null),a(e,is,n),a(e,Fn,n),m(Rn,Fn,null),a(e,rs,n),m(Mn,e,n),a(e,gs,n),a(e,Oe,n),m(Hn,Oe,null),l(Oe,Hu),l(Oe,Bi),a(e,ss,n),a(e,we,n),m(Un,we,null),l(we,Uu),l(we,Fi),a(e,ls,n),a(e,Te,n),m(Jn,Te,null),l(Te,Ju),l(Te,Ri),a(e,os,n),a(e,Ae,n),m(Nn,Ae,null),l(Ae,Nu),l(Ae,Mi),a(e,us,n),m(Wn,e,n),a(e,ms,n),a(e,Pe,n),m(Kn,Pe,null),l(Pe,Wu),l(Pe,Hi),a(e,ps,n),a(e,De,n),m(Xn,De,null),l(De,Ku),l(De,Ui),a(e,fs,n),a(e,Ee,n),m(Yn,Ee,null),l(Ee,Xu),l(Ee,Ji),a(e,cs,n),a(e,ke,n),m(ea,ke,null),l(ke,Yu),l(ke,Ni),a(e,hs,n),m(ta,e,n),a(e,ds,n),a(e,Ve,n),m(na,Ve,null),l(Ve,em),l(Ve,Wi),a(e,bs,n),a(e,Le,n),m(aa,Le,null),l(Le,tm),l(Le,Ki),a(e,_s,n),a(e,Se,n),m(ia,Se,null),l(Se,nm),l(Se,Xi),a(e,$s,n),a(e,ze,n),m(ra,ze,null),l(ze,am),l(ze,Yi),a(e,vs,n),m(ga,e,n),a(e,xs,n),a(e,Qe,n),m(sa,Qe,null),l(Qe,im),l(Qe,er),a(e,ys,n),a(e,qe,n),m(la,qe,null),l(qe,rm),l(qe,tr),a(e,Cs,n),a(e,je,n),m(oa,je,null),l(je,gm),l(je,nr),a(e,Is,n),m(ua,e,n),a(e,Os,n),a(e,Ge,n),m(ma,Ge,null),l(Ge,sm),l(Ge,ar),a(e,ws,n),a(e,Ze,n),m(pa,Ze,null),l(Ze,lm),l(Ze,ir),a(e,Ts,n),a(e,Be,n),m(fa,Be,null),l(Be,om),l(Be,rr),a(e,As,n),m(ca,e,n),a(e,Ps,n),a(e,Fe,n),m(ha,Fe,null),l(Fe,um),l(Fe,gr),a(e,Ds,n),a(e,Re,n),m(da,Re,null),l(Re,mm),l(Re,sr),a(e,Es,n),a(e,Me,n),m(ba,Me,null),l(Me,pm),l(Me,lr),a(e,ks,n),m(_a,e,n),a(e,Vs,n),a(e,He,n),m($a,He,null),l(He,fm),l(He,or),a(e,Ls,n),a(e,Ue,n),m(va,Ue,null),l(Ue,cm),l(Ue,ur),a(e,Ss,n),a(e,Je,n),m(xa,Je,null),l(Je,hm),l(Je,mr),a(e,zs,n),a(e,Ne,n),m(ya,Ne,null),l(Ne,dm),l(Ne,pr),a(e,Qs,n),m(Ca,e,n),a(e,qs,n),a(e,We,n),m(Ia,We,null),l(We,bm),l(We,fr),a(e,js,n),a(e,Ke,n),m(Oa,Ke,null),l(Ke,_m),l(Ke,cr),a(e,Gs,n),a(e,Xe,n),m(wa,Xe,null),l(Xe,$m),l(Xe,hr),a(e,Zs,n),a(e,Ye,n),m(Ta,Ye,null),l(Ye,vm),l(Ye,dr),a(e,Bs,n),m(Aa,e,n),a(e,Fs,n),a(e,et,n),m(Pa,et,null),l(et,xm),l(et,br),a(e,Rs,n),a(e,tt,n),m(Da,tt,null),l(tt,ym),l(tt,_r),a(e,Ms,n),a(e,nt,n),m(Ea,nt,null),l(nt,Cm),l(nt,$r),a(e,Hs,n),a(e,at,n),m(ka,at,null),l(at,Im),l(at,vr),a(e,Us,n),m(Va,e,n),a(e,Js,n),a(e,it,n),m(La,it,null),l(it,Om),l(it,xr),a(e,Ns,n),a(e,rt,n),m(Sa,rt,null),l(rt,wm),l(rt,yr),a(e,Ws,n),a(e,gt,n),m(za,gt,null),l(gt,Tm),l(gt,Cr),a(e,Ks,n),a(e,st,n),m(Qa,st,null),l(st,Am),l(st,Ir),a(e,Xs,n),a(e,wr,n),Ys=!0},p:wf,i(e){Ys||(p(lt.$$.fragment,e),p(mt.$$.fragment,e),p(pt.$$.fragment,e),p(ft.$$.fragment,e),p(ct.$$.fragment,e),p(ht.$$.fragment,e),p(dt.$$.fragment,e),p(bt.$$.fragment,e),p(_t.$$.fragment,e),p($t.$$.fragment,e),p(vt.$$.fragment,e),p(yt.$$.fragment,e),p(Ct.$$.fragment,e),p(It.$$.fragment,e),p(Ot.$$.fragment,e),p(wt.$$.fragment,e),p(Tt.$$.fragment,e),p(At.$$.fragment,e),p(Pt.$$.fragment,e),p(Dt.$$.fragment,e),p(Et.$$.fragment,e),p(kt.$$.fragment,e),p(Vt.$$.fragment,e),p(Lt.$$.fragment,e),p(St.$$.fragment,e),p(zt.$$.fragment,e),p(Qt.$$.fragment,e),p(qt.$$.fragment,e),p(jt.$$.fragment,e),p(Gt.$$.fragment,e),p(Zt.$$.fragment,e),p(Bt.$$.fragment,e),p(Ft.$$.fragment,e),p(Rt.$$.fragment,e),p(Mt.$$.fragment,e),p(Ht.$$.fragment,e),p(Ut.$$.fragment,e),p(Jt.$$.fragment,e),p(Nt.$$.fragment,e),p(Wt.$$.fragment,e),p(Kt.$$.fragment,e),p(Xt.$$.fragment,e),p(Yt.$$.fragment,e),p(en.$$.fragment,e),p(tn.$$.fragment,e),p(nn.$$.fragment,e),p(an.$$.fragment,e),p(rn.$$.fragment,e),p(gn.$$.fragment,e),p(sn.$$.fragment,e),p(ln.$$.fragment,e),p(on.$$.fragment,e),p(un.$$.fragment,e),p(mn.$$.fragment,e),p(pn.$$.fragment,e),p(fn.$$.fragment,e),p(cn.$$.fragment,e),p(hn.$$.fragment,e),p(bn.$$.fragment,e),p(_n.$$.fragment,e),p($n.$$.fragment,e),p(vn.$$.fragment,e),p(xn.$$.fragment,e),p(yn.$$.fragment,e),p(Cn.$$.fragment,e),p(In.$$.fragment,e),p(On.$$.fragment,e),p(wn.$$.fragment,e),p(Tn.$$.fragment,e),p(An.$$.fragment,e),p(Pn.$$.fragment,e),p(Dn.$$.fragment,e),p(En.$$.fragment,e),p(kn.$$.fragment,e),p(Vn.$$.fragment,e),p(Ln.$$.fragment,e),p(zn.$$.fragment,e),p(Qn.$$.fragment,e),p(qn.$$.fragment,e),p(jn.$$.fragment,e),p(Gn.$$.fragment,e),p(Bn.$$.fragment,e),p(Rn.$$.fragment,e),p(Mn.$$.fragment,e),p(Hn.$$.fragment,e),p(Un.$$.fragment,e),p(Jn.$$.fragment,e),p(Nn.$$.fragment,e),p(Wn.$$.fragment,e),p(Kn.$$.fragment,e),p(Xn.$$.fragment,e),p(Yn.$$.fragment,e),p(ea.$$.fragment,e),p(ta.$$.fragment,e),p(na.$$.fragment,e),p(aa.$$.fragment,e),p(ia.$$.fragment,e),p(ra.$$.fragment,e),p(ga.$$.fragment,e),p(sa.$$.fragment,e),p(la.$$.fragment,e),p(oa.$$.fragment,e),p(ua.$$.fragment,e),p(ma.$$.fragment,e),p(pa.$$.fragment,e),p(fa.$$.fragment,e),p(ca.$$.fragment,e),p(ha.$$.fragment,e),p(da.$$.fragment,e),p(ba.$$.fragment,e),p(_a.$$.fragment,e),p($a.$$.fragment,e),p(va.$$.fragment,e),p(xa.$$.fragment,e),p(ya.$$.fragment,e),p(Ca.$$.fragment,e),p(Ia.$$.fragment,e),p(Oa.$$.fragment,e),p(wa.$$.fragment,e),p(Ta.$$.fragment,e),p(Aa.$$.fragment,e),p(Pa.$$.fragment,e),p(Da.$$.fragment,e),p(Ea.$$.fragment,e),p(ka.$$.fragment,e),p(Va.$$.fragment,e),p(La.$$.fragment,e),p(Sa.$$.fragment,e),p(za.$$.fragment,e),p(Qa.$$.fragment,e),Ys=!0)},o(e){f(lt.$$.fragment,e),f(mt.$$.fragment,e),f(pt.$$.fragment,e),f(ft.$$.fragment,e),f(ct.$$.fragment,e),f(ht.$$.fragment,e),f(dt.$$.fragment,e),f(bt.$$.fragment,e),f(_t.$$.fragment,e),f($t.$$.fragment,e),f(vt.$$.fragment,e),f(yt.$$.fragment,e),f(Ct.$$.fragment,e),f(It.$$.fragment,e),f(Ot.$$.fragment,e),f(wt.$$.fragment,e),f(Tt.$$.fragment,e),f(At.$$.fragment,e),f(Pt.$$.fragment,e),f(Dt.$$.fragment,e),f(Et.$$.fragment,e),f(kt.$$.fragment,e),f(Vt.$$.fragment,e),f(Lt.$$.fragment,e),f(St.$$.fragment,e),f(zt.$$.fragment,e),f(Qt.$$.fragment,e),f(qt.$$.fragment,e),f(jt.$$.fragment,e),f(Gt.$$.fragment,e),f(Zt.$$.fragment,e),f(Bt.$$.fragment,e),f(Ft.$$.fragment,e),f(Rt.$$.fragment,e),f(Mt.$$.fragment,e),f(Ht.$$.fragment,e),f(Ut.$$.fragment,e),f(Jt.$$.fragment,e),f(Nt.$$.fragment,e),f(Wt.$$.fragment,e),f(Kt.$$.fragment,e),f(Xt.$$.fragment,e),f(Yt.$$.fragment,e),f(en.$$.fragment,e),f(tn.$$.fragment,e),f(nn.$$.fragment,e),f(an.$$.fragment,e),f(rn.$$.fragment,e),f(gn.$$.fragment,e),f(sn.$$.fragment,e),f(ln.$$.fragment,e),f(on.$$.fragment,e),f(un.$$.fragment,e),f(mn.$$.fragment,e),f(pn.$$.fragment,e),f(fn.$$.fragment,e),f(cn.$$.fragment,e),f(hn.$$.fragment,e),f(bn.$$.fragment,e),f(_n.$$.fragment,e),f($n.$$.fragment,e),f(vn.$$.fragment,e),f(xn.$$.fragment,e),f(yn.$$.fragment,e),f(Cn.$$.fragment,e),f(In.$$.fragment,e),f(On.$$.fragment,e),f(wn.$$.fragment,e),f(Tn.$$.fragment,e),f(An.$$.fragment,e),f(Pn.$$.fragment,e),f(Dn.$$.fragment,e),f(En.$$.fragment,e),f(kn.$$.fragment,e),f(Vn.$$.fragment,e),f(Ln.$$.fragment,e),f(zn.$$.fragment,e),f(Qn.$$.fragment,e),f(qn.$$.fragment,e),f(jn.$$.fragment,e),f(Gn.$$.fragment,e),f(Bn.$$.fragment,e),f(Rn.$$.fragment,e),f(Mn.$$.fragment,e),f(Hn.$$.fragment,e),f(Un.$$.fragment,e),f(Jn.$$.fragment,e),f(Nn.$$.fragment,e),f(Wn.$$.fragment,e),f(Kn.$$.fragment,e),f(Xn.$$.fragment,e),f(Yn.$$.fragment,e),f(ea.$$.fragment,e),f(ta.$$.fragment,e),f(na.$$.fragment,e),f(aa.$$.fragment,e),f(ia.$$.fragment,e),f(ra.$$.fragment,e),f(ga.$$.fragment,e),f(sa.$$.fragment,e),f(la.$$.fragment,e),f(oa.$$.fragment,e),f(ua.$$.fragment,e),f(ma.$$.fragment,e),f(pa.$$.fragment,e),f(fa.$$.fragment,e),f(ca.$$.fragment,e),f(ha.$$.fragment,e),f(da.$$.fragment,e),f(ba.$$.fragment,e),f(_a.$$.fragment,e),f($a.$$.fragment,e),f(va.$$.fragment,e),f(xa.$$.fragment,e),f(ya.$$.fragment,e),f(Ca.$$.fragment,e),f(Ia.$$.fragment,e),f(Oa.$$.fragment,e),f(wa.$$.fragment,e),f(Ta.$$.fragment,e),f(Aa.$$.fragment,e),f(Pa.$$.fragment,e),f(Da.$$.fragment,e),f(Ea.$$.fragment,e),f(ka.$$.fragment,e),f(Va.$$.fragment,e),f(La.$$.fragment,e),f(Sa.$$.fragment,e),f(za.$$.fragment,e),f(Qa.$$.fragment,e),Ys=!1},d(e){e&&(t(Tr),t(Or),t(Ar),t(Pr),t(ot),t(Dr),t(ut),t(Er),t(kr),t(x),t(Vr),t(y),t(Lr),t(C),t(Sr),t(zr),t(I),t(Qr),t(O),t(qr),t(jr),t(w),t(Gr),t(T),t(Zr),t(xt),t(Br),t(A),t(Fr),t(P),t(Rr),t(Mr),t(D),t(Hr),t(E),t(Ur),t(Jr),t(k),t(Nr),t(V),t(Wr),t(L),t(Kr),t(S),t(Xr),t(Yr),t(z),t(eg),t(tg),t(Q),t(ng),t(q),t(ag),t(j),t(ig),t(rg),t(G),t(gg),t(Z),t(sg),t(B),t(lg),t(og),t(F),t(ug),t(R),t(mg),t(M),t(pg),t(fg),t(H),t(cg),t(U),t(hg),t(J),t(dg),t(N),t(bg),t(_g),t(W),t($g),t(K),t(vg),t(X),t(xg),t(Y),t(yg),t(Cg),t(ee),t(Ig),t(te),t(Og),t(ne),t(wg),t(ae),t(Tg),t(Ag),t(ie),t(Pg),t(re),t(Dg),t(ge),t(Eg),t(se),t(kg),t(Vg),t(le),t(Lg),t(dn),t(Sg),t(zg),t(oe),t(Qg),t(ue),t(qg),t(me),t(jg),t(Gg),t(pe),t(Zg),t(fe),t(Bg),t(ce),t(Fg),t(Rg),t(he),t(Mg),t(de),t(Hg),t(be),t(Ug),t(Jg),t(_e),t(Ng),t($e),t(Wg),t(ve),t(Kg),t(Xg),t(Sn),t(Yg),t(xe),t(es),t(ye),t(ts),t(Ce),t(ns),t(Ie),t(as),t(Zn),t(is),t(Fn),t(rs),t(gs),t(Oe),t(ss),t(we),t(ls),t(Te),t(os),t(Ae),t(us),t(ms),t(Pe),t(ps),t(De),t(fs),t(Ee),t(cs),t(ke),t(hs),t(ds),t(Ve),t(bs),t(Le),t(_s),t(Se),t($s),t(ze),t(vs),t(xs),t(Qe),t(ys),t(qe),t(Cs),t(je),t(Is),t(Os),t(Ge),t(ws),t(Ze),t(Ts),t(Be),t(As),t(Ps),t(Fe),t(Ds),t(Re),t(Es),t(Me),t(ks),t(Vs),t(He),t(Ls),t(Ue),t(Ss),t(Je),t(zs),t(Ne),t(Qs),t(qs),t(We),t(js),t(Ke),t(Gs),t(Xe),t(Zs),t(Ye),t(Bs),t(Fs),t(et),t(Rs),t(tt),t(Ms),t(nt),t(Hs),t(at),t(Us),t(Js),t(it),t(Ns),t(rt),t(Ws),t(gt),t(Ks),t(st),t(Xs),t(wr)),t(v),c(lt,e),c(mt,e),c(pt),c(ft),c(ct),c(ht,e),c(dt),c(bt),c(_t,e),c($t),c(vt),c(yt),c(Ct),c(It),c(Ot,e),c(wt),c(Tt),c(At,e),c(Pt),c(Dt),c(Et),c(kt),c(Vt,e),c(Lt),c(St,e),c(zt),c(Qt),c(qt),c(jt,e),c(Gt),c(Zt),c(Bt),c(Ft,e),c(Rt),c(Mt),c(Ht),c(Ut,e),c(Jt),c(Nt),c(Wt),c(Kt),c(Xt,e),c(Yt),c(en),c(tn),c(nn),c(an,e),c(rn),c(gn),c(sn),c(ln),c(on,e),c(un),c(mn),c(pn),c(fn),c(cn,e),c(hn),c(bn),c(_n,e),c($n),c(vn),c(xn),c(yn,e),c(Cn),c(In),c(On),c(wn,e),c(Tn),c(An),c(Pn),c(Dn,e),c(En),c(kn),c(Vn),c(Ln,e),c(zn),c(Qn),c(qn),c(jn),c(Gn),c(Bn),c(Rn),c(Mn,e),c(Hn),c(Un),c(Jn),c(Nn),c(Wn,e),c(Kn),c(Xn),c(Yn),c(ea),c(ta,e),c(na),c(aa),c(ia),c(ra),c(ga,e),c(sa),c(la),c(oa),c(ua,e),c(ma),c(pa),c(fa),c(ca,e),c(ha),c(da),c(ba),c(_a,e),c($a),c(va),c(xa),c(ya),c(Ca,e),c(Ia),c(Oa),c(wa),c(Ta),c(Aa,e),c(Pa),c(Da),c(Ea),c(ka),c(Va,e),c(La),c(Sa),c(za),c(Qa)}}}const kf='{"title":"Inference types","local":"inference-types","sections":[{"title":"audio_classification","local":"huggingface_hub.AudioClassificationInput","sections":[],"depth":2},{"title":"audio_to_audio","local":"huggingface_hub.AudioToAudioInput","sections":[],"depth":2},{"title":"automatic_speech_recognition","local":"huggingface_hub.AutomaticSpeechRecognitionInput","sections":[],"depth":2},{"title":"depth_estimation","local":"huggingface_hub.DepthEstimationInput","sections":[],"depth":2},{"title":"document_question_answering","local":"huggingface_hub.DocumentQuestionAnsweringInput","sections":[],"depth":2},{"title":"feature_extraction","local":"huggingface_hub.FeatureExtractionInput","sections":[],"depth":2},{"title":"fill_mask","local":"huggingface_hub.FillMaskInput","sections":[],"depth":2},{"title":"image_classification","local":"huggingface_hub.ImageClassificationInput","sections":[],"depth":2},{"title":"image_segmentation","local":"huggingface_hub.ImageSegmentationInput","sections":[],"depth":2},{"title":"image_to_image","local":"huggingface_hub.ImageToImageInput","sections":[],"depth":2},{"title":"image_to_text","local":"huggingface_hub.GenerationParameters","sections":[],"depth":2},{"title":"object_detection","local":"huggingface_hub.BoundingBox","sections":[],"depth":2},{"title":"question_answering","local":"huggingface_hub.QuestionAnsweringInput","sections":[],"depth":2},{"title":"sentence_similarity","local":"huggingface_hub.SentenceSimilarityInput","sections":[],"depth":2},{"title":"summarization","local":"huggingface_hub.SummarizationInput","sections":[],"depth":2},{"title":"table_question_answering","local":"huggingface_hub.TableQuestionAnsweringInput","sections":[],"depth":2},{"title":"text2text_generation","local":"huggingface_hub.Text2TextGenerationInput","sections":[],"depth":2},{"title":"text_classification","local":"huggingface_hub.TextClassificationInput","sections":[],"depth":2},{"title":"text_generation","local":"huggingface_hub.PrefillToken","sections":[],"depth":2},{"title":"text_to_audio","local":"huggingface_hub.GenerationParameters","sections":[],"depth":2},{"title":"text_to_image","local":"huggingface_hub.TargetSize","sections":[],"depth":2},{"title":"text_to_speech","local":"huggingface_hub.GenerationParameters","sections":[],"depth":2},{"title":"token_classification","local":"huggingface_hub.TokenClassificationInput","sections":[],"depth":2},{"title":"translation","local":"huggingface_hub.Text2TextGenerationParameters","sections":[],"depth":2},{"title":"video_classification","local":"huggingface_hub.VideoClassificationInput","sections":[],"depth":2},{"title":"visual_question_answering","local":"huggingface_hub.VisualQuestionAnsweringInput","sections":[],"depth":2},{"title":"zero_shot_classification","local":"huggingface_hub.ZeroShotClassificationInput","sections":[],"depth":2},{"title":"zero_shot_image_classification","local":"huggingface_hub.ZeroShotImageClassificationInput","sections":[],"depth":2},{"title":"zero_shot_object_detection","local":"huggingface_hub.BoundingBox","sections":[],"depth":2}],"depth":1}';function Vf(Pm){return Tf(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class qf extends Af{constructor(v){super(),Pf(this,v,Vf,Ef,Of,{})}}export{qf as component};
